<?php
// created: 2013-10-28 14:14:02
$GLOBALS["dictionary"]["cts_client_config"] = array (
  'table' => 'cts_client_config',
  'audited' => true,
  'duplicate_merge' => true,
  'fields' => 
  array (
    'id' => 
    array (
      'name' => 'id',
      'vname' => 'LBL_ID',
      'type' => 'id',
      'required' => true,
      'reportable' => true,
      'comment' => 'Unique identifier',
    ),
    'name' => 
    array (
      'name' => 'name',
      'vname' => 'LBL_NAME',
      'type' => 'name',
      'link' => true,
      'dbType' => 'varchar',
      'len' => 255,
      'unified_search' => true,
      'required' => true,
      'importable' => 'required',
      'duplicate_merge' => 'enabled',
      'merge_filter' => 'selected',
    ),
    'date_entered' => 
    array (
      'name' => 'date_entered',
      'vname' => 'LBL_DATE_ENTERED',
      'type' => 'datetime',
      'group' => 'created_by_name',
      'comment' => 'Date record created',
      'enable_range_search' => true,
      'options' => 'date_range_search_dom',
    ),
    'date_modified' => 
    array (
      'name' => 'date_modified',
      'vname' => 'LBL_DATE_MODIFIED',
      'type' => 'datetime',
      'group' => 'modified_by_name',
      'comment' => 'Date record last modified',
      'enable_range_search' => true,
      'options' => 'date_range_search_dom',
    ),
    'modified_user_id' => 
    array (
      'name' => 'modified_user_id',
      'rname' => 'user_name',
      'id_name' => 'modified_user_id',
      'vname' => 'LBL_MODIFIED',
      'type' => 'assigned_user_name',
      'table' => 'users',
      'isnull' => 'false',
      'group' => 'modified_by_name',
      'dbType' => 'id',
      'reportable' => true,
      'comment' => 'User who last modified record',
    ),
    'modified_by_name' => 
    array (
      'name' => 'modified_by_name',
      'vname' => 'LBL_MODIFIED_NAME',
      'type' => 'relate',
      'reportable' => false,
      'source' => 'non-db',
      'rname' => 'user_name',
      'table' => 'users',
      'id_name' => 'modified_user_id',
      'module' => 'Users',
      'link' => 'modified_user_link',
      'duplicate_merge' => 'disabled',
    ),
    'created_by' => 
    array (
      'name' => 'created_by',
      'rname' => 'user_name',
      'id_name' => 'modified_user_id',
      'vname' => 'LBL_CREATED',
      'type' => 'assigned_user_name',
      'table' => 'users',
      'isnull' => 'false',
      'dbType' => 'id',
      'group' => 'created_by_name',
      'comment' => 'User who created record',
    ),
    'created_by_name' => 
    array (
      'name' => 'created_by_name',
      'vname' => 'LBL_CREATED',
      'type' => 'relate',
      'reportable' => false,
      'link' => 'created_by_link',
      'rname' => 'user_name',
      'source' => 'non-db',
      'table' => 'users',
      'id_name' => 'created_by',
      'module' => 'Users',
      'duplicate_merge' => 'disabled',
      'importable' => 'false',
    ),
    'description' => 
    array (
      'name' => 'description',
      'vname' => 'LBL_DESCRIPTION',
      'type' => 'text',
      'comment' => 'Full text of the note',
      'rows' => 6,
      'cols' => 80,
    ),
    'deleted' => 
    array (
      'name' => 'deleted',
      'vname' => 'LBL_DELETED',
      'type' => 'bool',
      'default' => '0',
      'reportable' => false,
      'comment' => 'Record deletion indicator',
    ),
    'created_by_link' => 
    array (
      'name' => 'created_by_link',
      'type' => 'link',
      'relationship' => 'cts_client_config_created_by',
      'vname' => 'LBL_CREATED_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
    ),
    'modified_user_link' => 
    array (
      'name' => 'modified_user_link',
      'type' => 'link',
      'relationship' => 'cts_client_config_modified_user',
      'vname' => 'LBL_MODIFIED_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
    ),
    'assigned_user_id' => 
    array (
      'name' => 'assigned_user_id',
      'rname' => 'user_name',
      'id_name' => 'assigned_user_id',
      'vname' => 'LBL_ASSIGNED_TO_ID',
      'group' => 'assigned_user_name',
      'type' => 'relate',
      'table' => 'users',
      'module' => 'Users',
      'reportable' => true,
      'isnull' => 'false',
      'dbType' => 'id',
      'audited' => true,
      'comment' => 'User ID assigned to record',
      'duplicate_merge' => 'disabled',
    ),
    'assigned_user_name' => 
    array (
      'name' => 'assigned_user_name',
      'link' => 'assigned_user_link',
      'vname' => 'LBL_ASSIGNED_TO_NAME',
      'rname' => 'user_name',
      'type' => 'relate',
      'reportable' => false,
      'source' => 'non-db',
      'table' => 'users',
      'id_name' => 'assigned_user_id',
      'module' => 'Users',
      'duplicate_merge' => 'disabled',
    ),
    'assigned_user_link' => 
    array (
      'name' => 'assigned_user_link',
      'type' => 'link',
      'relationship' => 'cts_client_config_assigned_user',
      'vname' => 'LBL_ASSIGNED_TO_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
      'duplicate_merge' => 'enabled',
      'rname' => 'user_name',
      'id_name' => 'assigned_user_id',
      'table' => 'users',
    ),
    'client_billing_addr_city' => 
    array (
      'required' => false,
      'name' => 'client_billing_addr_city',
      'vname' => 'LBL_CLIENT_BILLING_ADDR_CITY',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 100,
      'size' => '20',
    ),
    'client_billing_addr_state' => 
    array (
      'required' => false,
      'name' => 'client_billing_addr_state',
      'vname' => 'LBL_CLIENT_BILLING_ADDR_STATE',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 100,
      'size' => '20',
    ),
    'client_billing_addr_postalcode' => 
    array (
      'required' => false,
      'name' => 'client_billing_addr_postalcode',
      'vname' => 'LBL_CLIENT_BILLING_ADDR_POSTALCODE',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 20,
      'size' => '20',
    ),
    'client_billing_addr_country' => 
    array (
      'required' => false,
      'name' => 'client_billing_addr_country',
      'vname' => 'LBL_CLIENT_BILLING_ADDR_COUNTRY',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 100,
      'size' => '20',
    ),
    'client_billing_addr' => 
    array (
      'required' => false,
      'name' => 'client_billing_addr',
      'vname' => 'LBL_CLIENT_BILLING_ADDR',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
    ),
    'client_ship_addr_city' => 
    array (
      'required' => false,
      'name' => 'client_ship_addr_city',
      'vname' => 'LBL_CLIENT_SHIP_ADDR_CITY',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 100,
      'size' => '20',
    ),
    'client_ship_addr_state' => 
    array (
      'required' => false,
      'name' => 'client_ship_addr_state',
      'vname' => 'LBL_CLIENT_SHIP_ADDR_STATE',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 100,
      'size' => '20',
    ),
    'client_ship_addr_postalcode' => 
    array (
      'required' => false,
      'name' => 'client_ship_addr_postalcode',
      'vname' => 'LBL_CLIENT_SHIP_ADDR_POSTALCODE',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 20,
      'size' => '20',
    ),
    'client_ship_addr_country' => 
    array (
      'required' => false,
      'name' => 'client_ship_addr_country',
      'vname' => 'LBL_CLIENT_SHIP_ADDR_COUNTRY',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 100,
      'size' => '20',
    ),
    'client_ship_addr' => 
    array (
      'required' => false,
      'name' => 'client_ship_addr',
      'vname' => 'LBL_CLIENT_SHIP_ADDR',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
    ),
    'client_phone' => 
    array (
      'required' => false,
      'name' => 'client_phone',
      'vname' => 'LBL_CLIENT_PHONE',
      'type' => 'phone',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'dbType' => 'varchar',
    ),
    'client_fax' => 
    array (
      'required' => false,
      'name' => 'client_fax',
      'vname' => 'LBL_CLIENT_FAX',
      'type' => 'phone',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'dbType' => 'varchar',
    ),
    'client_url' => 
    array (
      'required' => false,
      'name' => 'client_url',
      'vname' => 'LBL_CLIENT_URL',
      'type' => 'url',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'dbType' => 'varchar',
      'gen' => '',
      'link_target' => '_blank',
    ),
    'client_time_zone' => 
    array (
      'required' => false,
      'name' => 'client_time_zone',
      'vname' => 'LBL_CLIENT_TIME_ZONE',
      'type' => 'enum',
      'massupdate' => 0,
      'default' => 'America/Denver',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => 100,
      'size' => '20',
      'options' => 'timezone_dom',
      'studio' => 'visible',
      'dependency' => false,
    ),
    'client_tax_id' => 
    array (
      'required' => false,
      'name' => 'client_tax_id',
      'vname' => 'LBL_CLIENT_TAX_ID',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
    ),
    'client_force_ad_source' => 
    array (
      'required' => false,
      'name' => 'client_force_ad_source',
      'vname' => 'LBL_CLIENT_FORCE_AD_SOURCE',
      'type' => 'bool',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'default' => '0',
    ),
    'client_gl_deposit_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_deposit_c',
      'vname' => 'LBL_CLIENT_GL_DEPOSIT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_deposit_c',
      'custom_module' => 'cts_client_config',
    ),
    'maintenance_mode_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'maintenance_mode_c',
      'vname' => 'LBL_MAINTENANCE_MODE',
      'type' => 'bool',
      'massupdate' => '0',
      'default' => '0',
      'comments' => 'Setting this value will make the box office application unavailble online.',
      'help' => 'Put the system in maintenance mode.',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_client_configmaintenance_mode_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_force_ad_source2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_force_ad_source2_c',
      'vname' => 'LBL_CLIENT_FORCE_AD_SOURCE2',
      'type' => 'bool',
      'massupdate' => '0',
      'default' => '0',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_client_configclient_force_ad_source2_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_force_ad_source3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_force_ad_source3_c',
      'vname' => 'LBL_CLIENT_FORCE_AD_SOURCE3',
      'type' => 'bool',
      'massupdate' => '0',
      'default' => '0',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_client_configclient_force_ad_source3_c',
      'custom_module' => 'cts_client_config',
    ),
    'event_sort_field_name_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'event_sort_field_name_c',
      'vname' => 'LBL_EVENT_SORT_FIELD_NAME',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_client_configevent_sort_field_name_c',
      'custom_module' => 'cts_client_config',
    ),
    'calculate_available_seats_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'calculate_available_seats_c',
      'vname' => 'LBL_CALCULATE_AVAILABLE_SEATS',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => 'Turn on/off calculation of total/available seats',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_client_configcalculate_available_seats_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_adj_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_adj_c',
      'vname' => 'LBL_CLIENT_GL_ADJ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_adj_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_amex_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_amex_c',
      'vname' => 'LBL_CLIENT_GL_AMEX',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_amex_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_ar_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_ar_c',
      'vname' => 'LBL_CLIENT_GL_AR',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_ar_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_cash_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_cash_c',
      'vname' => 'LBL_CLIENT_GL_CASH',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_cash_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_ck_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_ck_c',
      'vname' => 'LBL_CLIENT_GL_CK',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_ck_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_cont_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_cont_c',
      'vname' => 'LBL_CLIENT_GL_CONT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_cont_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_coup_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_coup_c',
      'vname' => 'LBL_CLIENT_GL_COUP',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_coup_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_dded_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_dded_c',
      'vname' => 'LBL_CLIENT_GL_DDED',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_dded_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_disc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_disc_c',
      'vname' => 'LBL_CLIENT_GL_DISC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_disc_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_don_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_don_c',
      'vname' => 'LBL_CLIENT_GL_DON',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_don_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_gift_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_gift_c',
      'vname' => 'LBL_CLIENT_GL_GIFT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_gift_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_inv_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_inv_c',
      'vname' => 'LBL_CLIENT_GL_INV',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_inv_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_mbr_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_mbr_c',
      'vname' => 'LBL_CLIENT_GL_MBR',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_mbr_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_mc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_mc_c',
      'vname' => 'LBL_CLIENT_GL_MC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_mc_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_mchg_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_mchg_c',
      'vname' => 'LBL_CLIENT_GL_MCHG',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_mchg_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_merc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_merc_c',
      'vname' => 'LBL_CLIENT_GL_MERC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_merc_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_pded_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_pded_c',
      'vname' => 'LBL_CLIENT_GL_PDED',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_pded_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_rck_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_rck_c',
      'vname' => 'LBL_CLIENT_GL_RCK',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_rck_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_tktsale_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_tktsale_c',
      'vname' => 'LBL_CLIENT_GL_TKTSALE',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_tktsale_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_sc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_sc_c',
      'vname' => 'LBL_CLIENT_GL_SC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_sc_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_sc2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_sc2_c',
      'vname' => 'LBL_CLIENT_GL_SC2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_sc2_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_sc3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_sc3_c',
      'vname' => 'LBL_CLIENT_GL_SC3',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_sc3_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_sc4_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_sc4_c',
      'vname' => 'LBL_CLIENT_GL_SC4',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_sc4_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_sc5_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_sc5_c',
      'vname' => 'LBL_CLIENT_GL_SC5',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_sc5_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_tax_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_tax_c',
      'vname' => 'LBL_CLIENT_GL_TAX',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_tax_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_trad_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_trad_c',
      'vname' => 'LBL_CLIENT_GL_TRAD',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_trad_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_travck_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_travck_c',
      'vname' => 'LBL_CLIENT_GL_TRAVCK',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_travck_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_visa_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_visa_c',
      'vname' => 'LBL_CLIENT_GL_VISA',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_visa_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_vouc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_vouc_c',
      'vname' => 'LBL_CLIENT_GL_VOUC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_vouc_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_imail_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_imail_c',
      'vname' => 'LBL_CLIENT_GL_IMAIL',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_imail_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_isc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_isc_c',
      'vname' => 'LBL_CLIENT_GL_ISC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_isc_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_isc2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_isc2_c',
      'vname' => 'LBL_CLIENT_GL_ISC2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_isc2_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_isc3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_isc3_c',
      'vname' => 'LBL_CLIENT_GL_ISC3',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_isc3_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_isc4_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_isc4_c',
      'vname' => 'LBL_CLIENT_GL_ISC4',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_isc4_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_isc5_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_isc5_c',
      'vname' => 'LBL_CLIENT_GL_ISC5',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_isc5_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_dinsales_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_dinsales_c',
      'vname' => 'LBL_CLIENT_GL_DINSALES',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_dinsales_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_dintax_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_dintax_c',
      'vname' => 'LBL_CLIENT_GL_DINTAX',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_dintax_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_giftsale_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_giftsale_c',
      'vname' => 'LBL_CLIENT_GL_GIFTSALE',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_giftsale_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_custom_pay1_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_custom_pay1_c',
      'vname' => 'LBL_CLIENT_CUSTOM_PAY1',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_custom_pay1_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_custom_pay2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_custom_pay2_c',
      'vname' => 'LBL_CLIENT_CUSTOM_PAY2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_custom_pay2_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_custom_pay3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_custom_pay3_c',
      'vname' => 'LBL_CLIENT_CUSTOM_PAY3',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_custom_pay3_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_custom_paycode1_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_custom_paycode1_c',
      'vname' => 'LBL_CLIENT_CUSTOM_PAYCODE1',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '4',
      'size' => '20',
      'id' => 'cts_client_configclient_custom_paycode1_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_custom_paycode2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_custom_paycode2_c',
      'vname' => 'LBL_CLIENT_CUSTOM_PAYCODE2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '4',
      'size' => '20',
      'id' => 'cts_client_configclient_custom_paycode2_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_custom_paycode3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_custom_paycode3_c',
      'vname' => 'LBL_CLIENT_CUSTOM_PAYCODE3',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '4',
      'size' => '20',
      'id' => 'cts_client_configclient_custom_paycode3_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_visa_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_visa_c',
      'vname' => 'LBL_CLIENT_CCFEE_VISA',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_visa_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_mc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_mc_c',
      'vname' => 'LBL_CLIENT_CCFEE_MC',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_mc_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_cash_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_cash_c',
      'vname' => 'LBL_CLIENT_CCFEE_CASH',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_cash_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_amex_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_amex_c',
      'vname' => 'LBL_CLIENT_CCFEE_AMEX',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_amex_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_disc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_disc_c',
      'vname' => 'LBL_CLIENT_CCFEE_DISC',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_disc_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_mchg_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_mchg_c',
      'vname' => 'LBL_CLIENT_CCFEE_MCHG',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_mchg_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_cont_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_cont_c',
      'vname' => 'LBL_CLIENT_CCFEE_CONT',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_cont_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_ck_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_ck_c',
      'vname' => 'LBL_CLIENT_CCFEE_CK',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_ck_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_tck_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_tck_c',
      'vname' => 'LBL_CLIENT_CCFEE_TCK',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_tck_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_pded_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_pded_c',
      'vname' => 'LBL_CLIENT_CCFEE_PDED',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_pded_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_dded_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_dded_c',
      'vname' => 'LBL_CLIENT_CCFEE_DDED',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_dded_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_gc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_gc_c',
      'vname' => 'LBL_CLIENT_CCFEE_GC',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_gc_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_coup_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_coup_c',
      'vname' => 'LBL_CLIENT_CCFEE_COUP',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_coup_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_vouc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_vouc_c',
      'vname' => 'LBL_CLIENT_CCFEE_VOUC',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_vouc_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_inv_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_inv_c',
      'vname' => 'LBL_CLIENT_CCFEE_INV',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_inv_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_trad_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_trad_c',
      'vname' => 'LBL_CLIENT_CCFEE_TRAD',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_trad_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_rck_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_rck_c',
      'vname' => 'LBL_CLIENT_CCFEE_RCK',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_rck_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_adj_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_adj_c',
      'vname' => 'LBL_CLIENT_CCFEE_ADJ',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_adj_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_evt_tax_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_evt_tax_c',
      'vname' => 'LBL_CLIENT_EVT_TAX',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_evt_tax_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_evt_dintax_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_evt_dintax_c',
      'vname' => 'LBL_CLIENT_EVT_DINTAX',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_evt_dintax_c',
      'custom_module' => 'cts_client_config',
    ),
    'inet_tkt_active_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'inet_tkt_active_c',
      'vname' => 'LBL_INET_TKT_ACTIVE',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_client_configinet_tkt_active_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_custom_pay3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_custom_pay3_c',
      'vname' => 'LBL_CLIENT_CCFEE_CUSTOM_PAY3',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_custom_pay3_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_custom_pay2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_custom_pay2_c',
      'vname' => 'LBL_CLIENT_CCFEE_CUSTOM_PAY2',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => '0.00',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_client_configclient_ccfee_custom_pay2_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_ccfee_custom_pay1_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_ccfee_custom_pay1_c',
      'vname' => 'LBL_CLIENT_CCFEE_CUSTOM_PAY1_C',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '18',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '8',
      'id' => 'cts_client_configclient_ccfee_custom_pay1_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_custom_pay3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_custom_pay3_c',
      'vname' => 'LBL_CLIENT_GL_CUSTOM_PAY3',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_custom_pay3_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_custom_pay2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_custom_pay2_c',
      'vname' => 'LBL_CLIENT_GL_CUSTOM_PAY2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_custom_pay2_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_custom_pay1_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_custom_pay1_c',
      'vname' => 'LBL_CLIENT_GL_CUSTOM_PAY1',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_custom_pay1_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_stock_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_stock_c',
      'vname' => 'LBL_CLIENT_GL_STOCK_C',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_stock_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_plgrec_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_plgrec_c',
      'vname' => 'LBL_CLIENT_GL_PLGREC_C',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_plgrec_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_pledge_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_pledge_c',
      'vname' => 'LBL_CLIENT_GL_PLEDGE_C',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_pledge_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_payment_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_payment_c',
      'vname' => 'LBL_CLIENT_GL_PAYMENT_C',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_payment_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_inkind_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_inkind_c',
      'vname' => 'LBL_CLIENT_GL_INKIND_C',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_inkind_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_fplgpay_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_fplgpay_c',
      'vname' => 'LBL_CLIENT_GL_FPLGPAY_C',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_fplgpay_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_bplgpay_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_bplgpay_c',
      'vname' => 'LBL_CLIENT_GL_BPLGPAY_C',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_bplgpay_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_bplg_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_bplg_c',
      'vname' => 'LBL_CLIENT_GL_BPLG_C',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_bplg_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_bdues_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_bdues_c',
      'vname' => 'LBL_CLIENT_GL_BDUES_C',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_bdues_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_credit_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_credit_c',
      'vname' => 'LBL_CLIENT_GL_CREDIT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_credit_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_custom_pay4_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_custom_pay4_c',
      'vname' => 'LBL_ 	CLIENT_GL_CUSTOM_PAY4_C ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_custom_pay4_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_custom_pay4_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_custom_pay4_c',
      'vname' => 'LBL_CLIENT_CUSTOM_PAY4_C ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_custom_pay4_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_custom_pay5_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_custom_pay5_c',
      'vname' => 'LBL_CLIENT_CUSTOM_PAY5_C ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_custom_pay5_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_custom_pay6_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_custom_pay6_c',
      'vname' => 'LBL_CLIENT_CUSTOM_PAY6_C ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_custom_pay6_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_custom_pay7_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_custom_pay7_c',
      'vname' => 'LBL_CLIENT_CUSTOM_PAY7_C ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_custom_pay7_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_custom_pay8_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_custom_pay8_c',
      'vname' => 'LBL_CLIENT_CUSTOM_PAY8_C ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_custom_pay8_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_custom_pay9_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_custom_pay9_c',
      'vname' => 'LBL_CLIENT_CUSTOM_PAY9_C',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_custom_pay9_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_custom_pay10_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_custom_pay10_c',
      'vname' => 'LBL_CLIENT_CUSTOM_PAY10_C ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_custom_pay10_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_custom_pay5_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_custom_pay5_c',
      'vname' => 'LBL_CLIENT_GL_CUSTOM_PAY5_C ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_custom_pay5_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_custom_pay6_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_custom_pay6_c',
      'vname' => 'LBL_CLIENT_GL_CUSTOM_PAY6_C ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_custom_pay6_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_custom_pay7_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_custom_pay7_c',
      'vname' => 'LBL_CLIENT_GL_CUSTOM_PAY7_C ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_custom_pay7_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_custom_pay8_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_custom_pay8_c',
      'vname' => 'LBL_ CLIENT_GL_CUSTOM_PAY8_C ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_custom_pay8_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_custom_pay9_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_custom_pay9_c',
      'vname' => 'LBL_ CLIENT_GL_CUSTOM_PAY9_C ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_custom_pay9_c',
      'custom_module' => 'cts_client_config',
    ),
    'client_gl_custom_pay10_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'client_gl_custom_pay10_c',
      'vname' => 'LBL_ CLIENT_GL_CUSTOM_PAY10_C ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_client_configclient_gl_custom_pay10_c',
      'custom_module' => 'cts_client_config',
    ),
  ),
  'relationships' => 
  array (
    'cts_client_config_modified_user' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_client_config',
      'rhs_table' => 'cts_client_config',
      'rhs_key' => 'modified_user_id',
      'relationship_type' => 'one-to-many',
    ),
    'cts_client_config_created_by' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_client_config',
      'rhs_table' => 'cts_client_config',
      'rhs_key' => 'created_by',
      'relationship_type' => 'one-to-many',
    ),
    'cts_client_config_assigned_user' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_client_config',
      'rhs_table' => 'cts_client_config',
      'rhs_key' => 'assigned_user_id',
      'relationship_type' => 'one-to-many',
    ),
  ),
  'optimistic_locking' => true,
  'unified_search' => true,
  'indices' => 
  array (
    'id' => 
    array (
      'name' => 'cts_client_configpk',
      'type' => 'primary',
      'fields' => 
      array (
        0 => 'id',
      ),
    ),
  ),
  'templates' => 
  array (
    'assignable' => 'assignable',
    'basic' => 'basic',
  ),
  'custom_fields' => true,
);