<?php
// created: 2013-10-28 11:58:22
$GLOBALS["dictionary"]["cts_event_control"] = array (
  'table' => 'cts_event_control',
  'audited' => true,
  'duplicate_merge' => true,
  'fields' => 
  array (
    'id' => 
    array (
      'name' => 'id',
      'vname' => 'LBL_ID',
      'type' => 'id',
      'required' => true,
      'reportable' => true,
      'comment' => 'Unique identifier',
    ),
    'name' => 
    array (
      'name' => 'name',
      'vname' => 'LBL_NAME',
      'type' => 'name',
      'link' => true,
      'dbType' => 'varchar',
      'len' => '50',
      'unified_search' => false,
      'required' => true,
      'importable' => 'required',
      'duplicate_merge' => 'disabled',
      'merge_filter' => 'selected',
      'duplicate_merge_dom_value' => '0',
    ),
    'date_entered' => 
    array (
      'name' => 'date_entered',
      'vname' => 'LBL_DATE_ENTERED',
      'type' => 'datetime',
      'group' => 'created_by_name',
      'comment' => 'Date record created',
      'enable_range_search' => true,
      'options' => 'date_range_search_dom',
    ),
    'date_modified' => 
    array (
      'name' => 'date_modified',
      'vname' => 'LBL_DATE_MODIFIED',
      'type' => 'datetime',
      'group' => 'modified_by_name',
      'comment' => 'Date record last modified',
      'enable_range_search' => true,
      'options' => 'date_range_search_dom',
    ),
    'modified_user_id' => 
    array (
      'name' => 'modified_user_id',
      'rname' => 'user_name',
      'id_name' => 'modified_user_id',
      'vname' => 'LBL_MODIFIED',
      'type' => 'assigned_user_name',
      'table' => 'users',
      'isnull' => 'false',
      'group' => 'modified_by_name',
      'dbType' => 'id',
      'reportable' => true,
      'comment' => 'User who last modified record',
    ),
    'modified_by_name' => 
    array (
      'name' => 'modified_by_name',
      'vname' => 'LBL_MODIFIED_NAME',
      'type' => 'relate',
      'reportable' => false,
      'source' => 'non-db',
      'rname' => 'user_name',
      'table' => 'users',
      'id_name' => 'modified_user_id',
      'module' => 'Users',
      'link' => 'modified_user_link',
      'duplicate_merge' => 'disabled',
    ),
    'created_by' => 
    array (
      'name' => 'created_by',
      'rname' => 'user_name',
      'id_name' => 'modified_user_id',
      'vname' => 'LBL_CREATED',
      'type' => 'assigned_user_name',
      'table' => 'users',
      'isnull' => 'false',
      'dbType' => 'id',
      'group' => 'created_by_name',
      'comment' => 'User who created record',
    ),
    'created_by_name' => 
    array (
      'name' => 'created_by_name',
      'vname' => 'LBL_CREATED',
      'type' => 'relate',
      'reportable' => false,
      'link' => 'created_by_link',
      'rname' => 'user_name',
      'source' => 'non-db',
      'table' => 'users',
      'id_name' => 'created_by',
      'module' => 'Users',
      'duplicate_merge' => 'disabled',
      'importable' => 'false',
    ),
    'description' => 
    array (
      'name' => 'description',
      'vname' => 'LBL_DESCRIPTION',
      'type' => 'text',
      'comment' => 'Full text of the note',
      'rows' => 6,
      'cols' => 80,
    ),
    'deleted' => 
    array (
      'name' => 'deleted',
      'vname' => 'LBL_DELETED',
      'type' => 'bool',
      'default' => '0',
      'reportable' => false,
      'comment' => 'Record deletion indicator',
    ),
    'created_by_link' => 
    array (
      'name' => 'created_by_link',
      'type' => 'link',
      'relationship' => 'cts_event_control_created_by',
      'vname' => 'LBL_CREATED_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
    ),
    'modified_user_link' => 
    array (
      'name' => 'modified_user_link',
      'type' => 'link',
      'relationship' => 'cts_event_control_modified_user',
      'vname' => 'LBL_MODIFIED_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
    ),
    'assigned_user_id' => 
    array (
      'name' => 'assigned_user_id',
      'rname' => 'user_name',
      'id_name' => 'assigned_user_id',
      'vname' => 'LBL_ASSIGNED_TO_ID',
      'group' => 'assigned_user_name',
      'type' => 'relate',
      'table' => 'users',
      'module' => 'Users',
      'reportable' => true,
      'isnull' => 'false',
      'dbType' => 'id',
      'audited' => true,
      'comment' => 'User ID assigned to record',
      'duplicate_merge' => 'disabled',
    ),
    'assigned_user_name' => 
    array (
      'name' => 'assigned_user_name',
      'link' => 'assigned_user_link',
      'vname' => 'LBL_ASSIGNED_TO_NAME',
      'rname' => 'user_name',
      'type' => 'relate',
      'reportable' => false,
      'source' => 'non-db',
      'table' => 'users',
      'id_name' => 'assigned_user_id',
      'module' => 'Users',
      'duplicate_merge' => 'disabled',
    ),
    'assigned_user_link' => 
    array (
      'name' => 'assigned_user_link',
      'type' => 'link',
      'relationship' => 'cts_event_control_assigned_user',
      'vname' => 'LBL_ASSIGNED_TO_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
      'duplicate_merge' => 'enabled',
      'rname' => 'user_name',
      'id_name' => 'assigned_user_id',
      'table' => 'users',
    ),
    'cts_event_control_cts_event_control' => 
    array (
      'name' => 'cts_event_control_cts_event_control',
      'type' => 'link',
      'relationship' => 'cts_event_control_cts_event_control',
      'source' => 'non-db',
      'vname' => 'LBL_CTS_EVENT_CONTROL_CTS_EVENT_CONTROL_FROM_CTS_EVENT_CONTROL_R_TITLE',
    ),
    'cts_event_control_cts_marketing_codes' => 
    array (
      'name' => 'cts_event_control_cts_marketing_codes',
      'type' => 'link',
      'relationship' => 'cts_event_control_cts_marketing_codes',
      'source' => 'non-db',
      'vname' => 'LBL_CTS_EVENT_CONTROL_CTS_MARKETING_CODES_FROM_CTS_MARKETING_CODES_TITLE',
    ),
    'evt_date_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'evt_date_c',
      'vname' => 'LBL_EVT_DATE',
      'type' => 'date',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'size' => '20',
      'enable_range_search' => false,
      'id' => 'cts_event_controlevt_date_c',
      'custom_module' => 'cts_event_control',
    ),
    'evtlist_day_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'evtlist_day_c',
      'vname' => 'LBL_EVTLIST_DAY',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '9',
      'size' => '20',
      'id' => 'cts_event_controlevtlist_day_c',
      'custom_module' => 'cts_event_control',
    ),
    'evtlist_date_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'evtlist_date_c',
      'vname' => 'LBL_EVTLIST_DATE',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '10',
      'size' => '20',
      'id' => 'cts_event_controlevtlist_date_c',
      'custom_module' => 'cts_event_control',
    ),
    'event_id_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'event_id_c',
      'vname' => 'LBL_EVENT_ID',
      'type' => 'int',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '11',
      'size' => '20',
      'enable_range_search' => false,
      'disable_num_format' => NULL,
      'id' => 'cts_event_controlevent_id_c',
      'custom_module' => 'cts_event_control',
    ),
    'evtlist_bo_name_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'evtlist_bo_name_c',
      'vname' => 'LBL_EVTLIST_BO_NAME',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '35',
      'size' => '20',
      'id' => 'cts_event_controlevtlist_bo_name_c',
      'custom_module' => 'cts_event_control',
    ),
    'evtlist_bo_name2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'evtlist_bo_name2_c',
      'vname' => 'LBL_EVTLIST_BO_NAME2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '35',
      'size' => '20',
      'id' => 'cts_event_controlevtlist_bo_name2_c',
      'custom_module' => 'cts_event_control',
    ),
    'evtlist_i_name_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'evtlist_i_name_c',
      'vname' => 'LBL_EVTLIST_I_NAME',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '50',
      'size' => '20',
      'id' => 'cts_event_controlevtlist_i_name_c',
      'custom_module' => 'cts_event_control',
    ),
    'evtlist_time_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'evtlist_time_c',
      'vname' => 'LBL_EVTLIST_TIME',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '8',
      'size' => '20',
      'id' => 'cts_event_controlevtlist_time_c',
      'custom_module' => 'cts_event_control',
    ),
    'evt_status_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'evt_status_c',
      'vname' => 'LBL_EVT_STATUS',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '1',
      'size' => '20',
      'id' => 'cts_event_controlevt_status_c',
      'custom_module' => 'cts_event_control',
    ),
    'no_series_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'no_series_c',
      'vname' => 'LBL_NO_SERIES',
      'type' => 'int',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '3',
      'size' => '20',
      'enable_range_search' => false,
      'disable_num_format' => NULL,
      'id' => 'cts_event_controlno_series_c',
      'custom_module' => 'cts_event_control',
    ),
    'venue_file_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'venue_file_c',
      'vname' => 'LBL_VENUE_FILE',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlvenue_file_c',
      'custom_module' => 'cts_event_control',
    ),
    'tkt_title1_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'tkt_title1_c',
      'vname' => 'LBL_TKT_TITLE1',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controltkt_title1_c',
      'custom_module' => 'cts_event_control',
    ),
    'tkt_title2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'tkt_title2_c',
      'vname' => 'LBL_TKT_TITLE2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controltkt_title2_c',
      'custom_module' => 'cts_event_control',
    ),
    'tkt_perf1_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'tkt_perf1_c',
      'vname' => 'LBL_TKT_PERF1',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controltkt_perf1_c',
      'custom_module' => 'cts_event_control',
    ),
    'tkt_perf2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'tkt_perf2_c',
      'vname' => 'LBL_TKT_PERF2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controltkt_perf2_c',
      'custom_module' => 'cts_event_control',
    ),
    'tkt_venue1_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'tkt_venue1_c',
      'vname' => 'LBL_TKT_VENUE1',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controltkt_venue1_c',
      'custom_module' => 'cts_event_control',
    ),
    'tkt_venue2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'tkt_venue2_c',
      'vname' => 'LBL_TKT_VENUE2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controltkt_venue2_c',
      'custom_module' => 'cts_event_control',
    ),
    'prcfile_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'prcfile_c',
      'vname' => 'LBL_PRCFILE',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlprcfile_c',
      'custom_module' => 'cts_event_control',
    ),
    'mbr_prcfile_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'mbr_prcfile_c',
      'vname' => 'LBL_MBR_PRCFILE',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlmbr_prcfile_c',
      'custom_module' => 'cts_event_control',
    ),
    'flex_id_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'flex_id_c',
      'vname' => 'LBL_FLEX_ID',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlflex_id_c',
      'custom_module' => 'cts_event_control',
    ),
    'flex_id2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'flex_id2_c',
      'vname' => 'LBL_FLEX_ID2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlflex_id2_c',
      'custom_module' => 'cts_event_control',
    ),
    'flex_id3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'flex_id3_c',
      'vname' => 'LBL_FLEX_ID3',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlflex_id3_c',
      'custom_module' => 'cts_event_control',
    ),
    'flex_id4_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'flex_id4_c',
      'vname' => 'LBL_FLEX_ID4',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlflex_id4_c',
      'custom_module' => 'cts_event_control',
    ),
    'flex_id5_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'flex_id5_c',
      'vname' => 'LBL_FLEX_ID5',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlflex_id5_c',
      'custom_module' => 'cts_event_control',
    ),
    'flexprcfile_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'flexprcfile_c',
      'vname' => 'LBL_FLEXPRCFILE',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlflexprcfile_c',
      'custom_module' => 'cts_event_control',
    ),
    'flexprcfile2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'flexprcfile2_c',
      'vname' => 'LBL_FLEXPRCFILE2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlflexprcfile2_c',
      'custom_module' => 'cts_event_control',
    ),
    'flexprcfile3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'flexprcfile3_c',
      'vname' => 'LBL_FLEXPRCFILE3',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlflexprcfile3_c',
      'custom_module' => 'cts_event_control',
    ),
    'flexprcfile4_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'flexprcfile4_c',
      'vname' => 'LBL_FLEXPRCFILE4',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlflexprcfile4_c',
      'custom_module' => 'cts_event_control',
    ),
    'flexprcfile5_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'flexprcfile5_c',
      'vname' => 'LBL_FLEXPRCFILE5',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlflexprcfile5_c',
      'custom_module' => 'cts_event_control',
    ),
    'fmini_id_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fmini_id_c',
      'vname' => 'LBL_FMINI_ID',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlfmini_id_c',
      'custom_module' => 'cts_event_control',
    ),
    'fmini_id2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fmini_id2_c',
      'vname' => 'LBL_FMINI_ID2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlfmini_id2_c',
      'custom_module' => 'cts_event_control',
    ),
    'fmini_id3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fmini_id3_c',
      'vname' => 'LBL_FMINI_ID3',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlfmini_id3_c',
      'custom_module' => 'cts_event_control',
    ),
    'fmini_id4_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fmini_id4_c',
      'vname' => 'LBL_FMINI_ID4',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlfmini_id4_c',
      'custom_module' => 'cts_event_control',
    ),
    'fmini_id5_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fmini_id5_c',
      'vname' => 'LBL_FMINI_ID5',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlfmini_id5_c',
      'custom_module' => 'cts_event_control',
    ),
    'fmini_id6_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fmini_id6_c',
      'vname' => 'LBL_FMINI_ID6',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlfmini_id6_c',
      'custom_module' => 'cts_event_control',
    ),
    'fmini_id7_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fmini_id7_c',
      'vname' => 'LBL_FMINI_ID7',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlfmini_id7_c',
      'custom_module' => 'cts_event_control',
    ),
    'fmini_id8_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fmini_id8_c',
      'vname' => 'LBL_FMINI_ID8',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlfmini_id8_c',
      'custom_module' => 'cts_event_control',
    ),
    'fmini_id9_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fmini_id9_c',
      'vname' => 'LBL_FMINI_ID9',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlfmini_id9_c',
      'custom_module' => 'cts_event_control',
    ),
    'fmini_id10_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fmini_id10_c',
      'vname' => 'LBL_FMINI_ID10',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlfmini_id10_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_pass1_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_pass1_c',
      'vname' => 'LBL_INET_PASS1',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlinet_pass1_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_pass2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_pass2_c',
      'vname' => 'LBL_INET_PASS2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlinet_pass2_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_pass3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_pass3_c',
      'vname' => 'LBL_INET_PASS3',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlinet_pass3_c',
      'custom_module' => 'cts_event_control',
    ),
    'evt_message_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'evt_message_c',
      'vname' => 'LBL_EVT_MESSAGE',
      'type' => 'text',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'size' => '20',
      'studio' => 'visible',
      'rows' => '1',
      'cols' => '80',
      'id' => 'cts_event_controlevt_message_c',
      'custom_module' => 'cts_event_control',
    ),
    'hide_evtlist_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'hide_evtlist_c',
      'vname' => 'LBL_HIDE_EVTLIST',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlhide_evtlist_c',
      'custom_module' => 'cts_event_control',
    ),
    'hide_evtrptlist_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'hide_evtrptlist_c',
      'vname' => 'LBL_HIDE_EVTRPTLIST',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlhide_evtrptlist_c',
      'custom_module' => 'cts_event_control',
    ),
    'renew_status_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'renew_status_c',
      'vname' => 'LBL_RENEW_STATUS',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'No',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'cts_renewal_status_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlrenew_status_c',
      'custom_module' => 'cts_event_control',
    ),
    'renew_notice_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'renew_notice_c',
      'vname' => 'LBL_RENEW_NOTICE',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlrenew_notice_c',
      'custom_module' => 'cts_event_control',
    ),
    'tktprt_status_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'tktprt_status_c',
      'vname' => 'LBL_TKTPRT_STATUS',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controltktprt_status_c',
      'custom_module' => 'cts_event_control',
    ),
    'ga_evt_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'ga_evt_c',
      'vname' => 'LBL_GA_EVT',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlga_evt_c',
      'custom_module' => 'cts_event_control',
    ),
    'bronto_evt_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'bronto_evt_c',
      'vname' => 'LBL_BRONTO_EVT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlbronto_evt_c',
      'custom_module' => 'cts_event_control',
    ),
    'mp_disc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'mp_disc_c',
      'vname' => 'LBL_MP_DISC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlmp_disc_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_gen_onsale_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_gen_onsale_c',
      'vname' => 'LBL_INET_GEN_ONSALE',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'inet_onsale_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlinet_gen_onsale_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_renew_onsale_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_renew_onsale_c',
      'vname' => 'LBL_INET_RENEW_ONSALE',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlinet_renew_onsale_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_configtype_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_configtype_c',
      'vname' => 'LBL_INET_CONFIGTYPE',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'None',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'inet_config_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlinet_configtype_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_tktmax_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_tktmax_c',
      'vname' => 'LBL_INET_TKTMAX',
      'type' => 'int',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'enable_range_search' => false,
      'disable_num_format' => NULL,
      'id' => 'cts_event_controlinet_tktmax_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_ph_logo_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_ph_logo_c',
      'vname' => 'LBL_INET_PH_LOGO',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlinet_ph_logo_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_ph_coupon_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_ph_coupon_c',
      'vname' => 'LBL_INET_PH_COUPON',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlinet_ph_coupon_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_min_flex_evts_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_min_flex_evts_c',
      'vname' => 'LBL_INET_MIN_FLEX_EVTS',
      'type' => 'int',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'enable_range_search' => false,
      'disable_num_format' => NULL,
      'id' => 'cts_event_controlinet_min_flex_evts_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_min_flex_tkts_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_min_flex_tkts_c',
      'vname' => 'LBL_INET_MIN_FLEX_TKTS',
      'type' => 'int',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'enable_range_search' => false,
      'disable_num_format' => NULL,
      'id' => 'cts_event_controlinet_min_flex_tkts_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_gen_onsale_datetime_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_gen_onsale_datetime_c',
      'vname' => 'LBL_INET_GEN_ONSALE_DATETIME_C ',
      'type' => 'datetimecombo',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'size' => '20',
      'enable_range_search' => false,
      'dbType' => 'datetime',
      'id' => 'cts_event_controlinet_gen_onsale_datetime_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_mbr_onsale_datetime_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_mbr_onsale_datetime_c',
      'vname' => 'LBL_INET_MBR_ONSALE_DATETIME_C ',
      'type' => 'datetimecombo',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'size' => '20',
      'enable_range_search' => false,
      'dbType' => 'datetime',
      'id' => 'cts_event_controlinet_mbr_onsale_datetime_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_dnr_onsale_datetime_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_dnr_onsale_datetime_c',
      'vname' => 'LBL_INET_DNR_ONSALE_DATETIME_C',
      'type' => 'datetimecombo',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'size' => '20',
      'enable_range_search' => false,
      'dbType' => 'datetime',
      'id' => 'cts_event_controlinet_dnr_onsale_datetime_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_offsale_hours_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_offsale_hours_c',
      'vname' => 'LBL_INET_OFFSALE_HOURS',
      'type' => 'int',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'enable_range_search' => false,
      'disable_num_format' => NULL,
      'id' => 'cts_event_controlinet_offsale_hours_c',
      'custom_module' => 'cts_event_control',
    ),
    'ccmerchant_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'ccmerchant_c',
      'vname' => 'LBL_CCMERCHANT',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlccmerchant_c',
      'custom_module' => 'cts_event_control',
    ),
    'tax_exempt_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'tax_exempt_c',
      'vname' => 'LBL_TAX_EXEMPT',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controltax_exempt_c',
      'custom_module' => 'cts_event_control',
    ),
    'commission_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'commission_c',
      'vname' => 'LBL_COMMISSION',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlcommission_c',
      'custom_module' => 'cts_event_control',
    ),
    'd2_evt_group_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'd2_evt_group_c',
      'vname' => 'LBL_D2_EVT_GROUP',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controld2_evt_group_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_mc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_mc_c',
      'vname' => 'LBL_FEE_MC',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_mc_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_cash_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_cash_c',
      'vname' => 'LBL_FEE_CASH',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_cash_c',
      'custom_module' => 'cts_event_control',
    ),
    'evt_dintax_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'evt_dintax_c',
      'vname' => 'LBL_EVT_DINTAX',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlevt_dintax_c',
      'custom_module' => 'cts_event_control',
    ),
    'evt_tax_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'evt_tax_c',
      'vname' => 'LBL_EVT_TAX',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlevt_tax_c',
      'custom_module' => 'cts_event_control',
    ),
    'evt_time_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'evt_time_c',
      'vname' => 'LBL_EVT_TIME',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlevt_time_c',
      'custom_module' => 'cts_event_control',
    ),
    'evt_notes_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'evt_notes_c',
      'vname' => 'LBL_EVT_NOTES',
      'type' => 'text',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'size' => '20',
      'studio' => 'visible',
      'rows' => '4',
      'cols' => '80',
      'id' => 'cts_event_controlevt_notes_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktsale_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktsale_c',
      'vname' => 'LBL_GL_TKTSALE',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktsale_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_dinsales_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_dinsales_c',
      'vname' => 'LBL_GL_DINSALES',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_dinsales_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktsc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktsc_c',
      'vname' => 'LBL_GL_TKTSC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktsc_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktsc2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktsc2_c',
      'vname' => 'LBL_GL_TKTSC2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktsc2_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktsc3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktsc3_c',
      'vname' => 'LBL_GL_TKTSC3',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktsc3_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktsc4_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktsc4_c',
      'vname' => 'LBL_GL_TKTSC4',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktsc4_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktsc5_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktsc5_c',
      'vname' => 'LBL_GL_TKTSC5',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktsc5_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_itktmail_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_itktmail_c',
      'vname' => 'LBL_GL_ITKTMAIL',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_itktmail_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_itktsc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_itktsc_c',
      'vname' => 'LBL_GL_ITKTSC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_itktsc_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_itktsc2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_itktsc2_c',
      'vname' => 'LBL_GL_ITKTSC2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_itktsc2_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_itktsc3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_itktsc3_c',
      'vname' => 'LBL_GL_ITKTSC3',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_itktsc3_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_itktsc4_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_itktsc4_c',
      'vname' => 'LBL_GL_ITKTSC4',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_itktsc4_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_itktsc5_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_itktsc5_c',
      'vname' => 'LBL_GL_ITKTSC5',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_itktsc5_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktdon_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktdon_c',
      'vname' => 'LBL_GL_TKTDON',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktdon_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktmbr_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktmbr_c',
      'vname' => 'LBL_GL_TKTMBR',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktmbr_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktmerc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktmerc_c',
      'vname' => 'LBL_GL_TKTMERC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktmerc_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tkttax_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tkttax_c',
      'vname' => 'LBL_GL_TKTTAX',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tkttax_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktdintax_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktdintax_c',
      'vname' => 'LBL_GL_TKTDINTAX',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktdintax_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktpay_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktpay_c',
      'vname' => 'LBL_GL_TKTPAY',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktpay_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktar_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktar_c',
      'vname' => 'LBL_GL_TKTAR',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktar_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktcash_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktcash_c',
      'vname' => 'LBL_GL_TKTCASH',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktcash_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktmc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktmc_c',
      'vname' => 'LBL_GL_TKTMC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktmc_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktvisa_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktvisa_c',
      'vname' => 'LBL_GL_TKTVISA',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktvisa_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktamex_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktamex_c',
      'vname' => 'LBL_GL_TKTAMEX',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktamex_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktdisc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktdisc_c',
      'vname' => 'LBL_GL_TKTDISC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktdisc_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktmchg_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktmchg_c',
      'vname' => 'LBL_GL_TKTMCHG',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktmchg_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktcont_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktcont_c',
      'vname' => 'LBL_GL_TKTCONT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktcont_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktck_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktck_c',
      'vname' => 'LBL_GL_TKTCK',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktck_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tkttrav_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tkttrav_c',
      'vname' => 'LBL_GL_TKTTRAV',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tkttrav_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktpded_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktpded_c',
      'vname' => 'LBL_GL_TKTPDED',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktpded_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktdded_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktdded_c',
      'vname' => 'LBL_GL_TKTDDED',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktdded_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktgift_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktgift_c',
      'vname' => 'LBL_GL_TKTGIFT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktgift_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktcoup_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktcoup_c',
      'vname' => 'LBL_GL_TKTCOUP',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktcoup_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktvouc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktvouc_c',
      'vname' => 'LBL_GL_TKTVOUC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktvouc_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktinv_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktinv_c',
      'vname' => 'LBL_GL_TKTINV',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktinv_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tkttrad_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tkttrad_c',
      'vname' => 'LBL_GL_TKTTRAD',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tkttrad_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktrck_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktrck_c',
      'vname' => 'LBL_GL_TKTRCK',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktrck_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktadj_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktadj_c',
      'vname' => 'LBL_GL_TKTADJ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktadj_c',
      'custom_module' => 'cts_event_control',
    ),
    'evt_type_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'evt_type_c',
      'vname' => 'LBL_EVT_TYPE',
      'type' => 'radioenum',
      'massupdate' => '0',
      'default' => 'Regular',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'cts_evt_type_list',
      'studio' => 'visible',
      'dbType' => 'enum',
      'separator' => '<br>',
      'id' => 'cts_event_controlevt_type_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_visa_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_visa_c',
      'vname' => 'LBL_FEE_VISA',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_visa_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_amex_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_amex_c',
      'vname' => 'LBL_FEE_AMEX',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_amex_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_disc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_disc_c',
      'vname' => 'LBL_FEE_DISC',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_disc_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_mchg_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_mchg_c',
      'vname' => 'LBL_FEE_MCHG',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_mchg_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_cont_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_cont_c',
      'vname' => 'LBL_FEE_CONT',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_cont_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_ck_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_ck_c',
      'vname' => 'LBL_FEE_CK',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_ck_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_trav_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_trav_c',
      'vname' => 'LBL_FEE_TRAV',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_trav_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_pded_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_pded_c',
      'vname' => 'LBL_FEE_PDED',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_pded_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_dded_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_dded_c',
      'vname' => 'LBL_FEE_DDED',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_dded_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_gift_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_gift_c',
      'vname' => 'LBL_FEE_GIFT',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_gift_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_coup_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_coup_c',
      'vname' => 'LBL_FEE_COUP',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_coup_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_vouc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_vouc_c',
      'vname' => 'LBL_FEE_VOUC',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_vouc_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_inv_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_inv_c',
      'vname' => 'LBL_FEE_INV',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_inv_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_trad_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_trad_c',
      'vname' => 'LBL_FEE_TRAD',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_trad_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_rck_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_rck_c',
      'vname' => 'LBL_FEE_RCK',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_rck_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_adj_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_adj_c',
      'vname' => 'LBL_FEE_ADJ',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_adj_c',
      'custom_module' => 'cts_event_control',
    ),
    'evt_group_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'evt_group_c',
      'vname' => 'LBL_EVT_GROUP',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlevt_group_c',
      'custom_module' => 'cts_event_control',
    ),
    'cus_interest_code_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'cus_interest_code_c',
      'vname' => 'LBL_CUS_INTEREST_CODE',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlcus_interest_code_c',
      'custom_module' => 'cts_event_control',
    ),
    'cus_interest_code2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'cus_interest_code2_c',
      'vname' => 'LBL_CUS_INTEREST_CODE2',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlcus_interest_code2_c',
      'custom_module' => 'cts_event_control',
    ),
    'cus_interest_code3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'cus_interest_code3_c',
      'vname' => 'LBL_CUS_INTEREST_CODE3',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlcus_interest_code3_c',
      'custom_module' => 'cts_event_control',
    ),
    'production_c' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'production_c',
      'vname' => 'LBL_PRODUCTION',
      'type' => 'relate',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_productions_id_c',
      'ext2' => 'cts_Productions',
      'module' => 'cts_Productions',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
      'id' => 'cts_event_controlproduction_c',
      'custom_module' => 'cts_event_control',
    ),
    'series_id_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'series_id_c',
      'vname' => 'LBL_SERIES_ID',
      'type' => 'int',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '11',
      'size' => '20',
      'enable_range_search' => false,
      'disable_num_format' => NULL,
      'id' => 'cts_event_controlseries_id_c',
      'custom_module' => 'cts_event_control',
    ),
    'evt_meta_id_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'evt_meta_id_c',
      'vname' => 'LBL_EVT_META_ID_C',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '30',
      'size' => '20',
      'id' => 'cts_event_controlevt_meta_id_c',
      'custom_module' => 'cts_event_control',
    ),
    'cts_print_templates_id_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'cts_print_templates_id_c',
      'vname' => 'LBL_LIST_RELATED_TO',
      'type' => 'id',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '36',
      'size' => '20',
      'id' => 'cts_event_controlcts_print_templates_id_c',
      'custom_module' => 'cts_event_control',
    ),
    'detail_ticket_form_c' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'detail_ticket_form_c',
      'vname' => 'LBL_DETAIL_TICKET_FORM',
      'type' => 'relate',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_print_templates_id_c',
      'ext2' => 'cts_print_templates',
      'module' => 'cts_print_templates',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
      'id' => 'cts_event_controldetail_ticket_form_c',
      'custom_module' => 'cts_event_control',
    ),
    'reg_form_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'reg_form_c',
      'vname' => 'LBL_REG_FORM',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '80',
      'size' => '20',
      'id' => 'cts_event_controlreg_form_c',
      'custom_module' => 'cts_event_control',
    ),
    'cts_productions_id_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'cts_productions_id_c',
      'vname' => 'LBL_LIST_RELATED_TO',
      'type' => 'id',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '36',
      'size' => '20',
      'id' => 'cts_event_controlcts_productions_id_c',
      'custom_module' => 'cts_event_control',
    ),
    'access_control_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'access_control_c',
      'vname' => 'LBL_ACCESS_CONTROL',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlaccess_control_c',
      'custom_module' => 'cts_event_control',
    ),
    'evtlist_i_sort_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'evtlist_i_sort_c',
      'vname' => 'LBL_EVTLIST_I_SORT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '6',
      'size' => '20',
      'id' => 'cts_event_controlevtlist_i_sort_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktcustom_pay3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktcustom_pay3_c',
      'vname' => 'LBL_GL_TKTCUSTOM_PAY3',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktcustom_pay3_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktcustom_pay1_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktcustom_pay1_c',
      'vname' => 'LBL_GL_TKTCUSTOM_PAY1',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktcustom_pay1_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktcustom_pay2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktcustom_pay2_c',
      'vname' => 'LBL_GL_TKTCUSTOM_PAY2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktcustom_pay2_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_custom_pay2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_custom_pay2_c',
      'vname' => 'LBL_FEE_CUSTOM_PAY2',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_custom_pay2_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_custom_pay3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_custom_pay3_c',
      'vname' => 'LBL_FEE_CUSTOM_PAY3',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_custom_pay3_c',
      'custom_module' => 'cts_event_control',
    ),
    'fee_custom_pay1_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'fee_custom_pay1_c',
      'vname' => 'LBL_FEE_CUSTOM_PAY1',
      'type' => 'decimal',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '5',
      'size' => '20',
      'enable_range_search' => false,
      'precision' => '2',
      'id' => 'cts_event_controlfee_custom_pay1_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktdeposit_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktdeposit_c',
      'vname' => 'LBL_GL_TKTDEPOSIT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktdeposit_c',
      'custom_module' => 'cts_event_control',
    ),
    'gl_tktcredit_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tktcredit_c',
      'vname' => 'LBL_GL_TKTCREDIT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_event_controlgl_tktcredit_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_flex_onsale_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_flex_onsale_c',
      'vname' => 'LBL_INET_FLEX_ONSALE',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'inet_flex_onsale_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_event_controlinet_flex_onsale_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_st_onsale_datetime_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_st_onsale_datetime_c',
      'vname' => 'LBL_INET_ST_ONSALE_DATETIME',
      'type' => 'datetimecombo',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'size' => '20',
      'enable_range_search' => false,
      'dbType' => 'datetime',
      'id' => 'cts_event_controlinet_st_onsale_datetime_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_gst_onsale_datetime_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_gst_onsale_datetime_c',
      'vname' => 'LBL_INET_GST_ONSALE_DATETIME',
      'type' => 'datetimecombo',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'size' => '20',
      'enable_range_search' => false,
      'dbType' => 'datetime',
      'id' => 'cts_event_controlinet_gst_onsale_datetime_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_fs_onsale_datetime_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_fs_onsale_datetime_c',
      'vname' => 'LBL_INET_FS_ONSALE_DATETIME',
      'type' => 'datetimecombo',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'size' => '20',
      'enable_range_search' => false,
      'dbType' => 'datetime',
      'id' => 'cts_event_controlinet_fs_onsale_datetime_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_mbr_onsale_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_mbr_onsale_c',
      'vname' => 'LBL_INET_MBR_ONSALE',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_event_controlinet_mbr_onsale_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_gen_onsale_date_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_gen_onsale_date_c',
      'vname' => 'LBL_INET_GEN_ONSALE_DATE_C',
      'type' => 'date',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'size' => '20',
      'enable_range_search' => false,
      'id' => 'cts_event_controlinet_gen_onsale_date_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_mbr_onsale_date_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_mbr_onsale_date_c',
      'vname' => 'LBL_INET_MBR_ONSALE_DATE_C ',
      'type' => 'date',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'size' => '20',
      'enable_range_search' => false,
      'id' => 'cts_event_controlinet_mbr_onsale_date_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_gen_onsale_time_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_gen_onsale_time_c',
      'vname' => 'LBL_INET_GEN_ONSALE_TIME_C ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlinet_gen_onsale_time_c',
      'custom_module' => 'cts_event_control',
    ),
    'inet_mbr_onsale_time_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'inet_mbr_onsale_time_c',
      'vname' => 'LBL_INET_MBR_ONSALE_TIME_C',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id' => 'cts_event_controlinet_mbr_onsale_time_c',
      'custom_module' => 'cts_event_control',
    ),
    'cts_user_groups_id_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'cts_user_groups_id_c',
      'vname' => 'LBL_LIST_RELATED_TO',
      'type' => 'id',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => false,
      'unified_search' => false,
      'len' => '36',
      'size' => '20',
      'id' => 'cts_event_controlcts_user_groups_id_c',
      'custom_module' => 'cts_event_control',
    ),
    'user_group_c' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'user_group_c',
      'vname' => 'LBL_USER_GROUP',
      'type' => 'relate',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_user_groups_id_c',
      'ext2' => 'cts_user_groups',
      'module' => 'cts_user_groups',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
      'id' => 'cts_event_controluser_group_c',
      'custom_module' => 'cts_event_control',
    ),
    'cts_cc_merchants_id_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'cts_cc_merchants_id_c',
      'vname' => 'LBL_LIST_RELATED_TO',
      'type' => 'id',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => false,
      'unified_search' => false,
      'len' => '36',
      'size' => '20',
      'id' => 'cts_event_controlcts_cc_merchants_id_c',
      'custom_module' => 'cts_event_control',
    ),
    'cc_merchant_c' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'cc_merchant_c',
      'vname' => 'LBL_CC_MERCHANT',
      'type' => 'relate',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_cc_merchants_id_c',
      'ext2' => 'cts_cc_merchants',
      'module' => 'cts_cc_merchants',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
      'id' => 'cts_event_controlcc_merchant_c',
      'custom_module' => 'cts_event_control',
    ),
  ),
  'relationships' => 
  array (
    'cts_event_control_modified_user' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_event_control',
      'rhs_table' => 'cts_event_control',
      'rhs_key' => 'modified_user_id',
      'relationship_type' => 'one-to-many',
    ),
    'cts_event_control_created_by' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_event_control',
      'rhs_table' => 'cts_event_control',
      'rhs_key' => 'created_by',
      'relationship_type' => 'one-to-many',
    ),
    'cts_event_control_assigned_user' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_event_control',
      'rhs_table' => 'cts_event_control',
      'rhs_key' => 'assigned_user_id',
      'relationship_type' => 'one-to-many',
    ),
  ),
  'optimistic_locking' => true,
  'unified_search' => true,
  'indices' => 
  array (
    'id' => 
    array (
      'name' => 'cts_event_controlpk',
      'type' => 'primary',
      'fields' => 
      array (
        0 => 'id',
      ),
    ),
  ),
  'templates' => 
  array (
    'assignable' => 'assignable',
    'basic' => 'basic',
  ),
  'custom_fields' => true,
);