<?php
// created: 2013-10-28 11:58:22
$GLOBALS["dictionary"]["cts_gift_certificates"] = array (
  'table' => 'cts_gift_certificates',
  'audited' => true,
  'duplicate_merge' => true,
  'fields' => 
  array (
    'id' => 
    array (
      'name' => 'id',
      'vname' => 'LBL_ID',
      'type' => 'id',
      'required' => true,
      'reportable' => true,
      'comment' => 'Unique identifier',
    ),
    'name' => 
    array (
      'name' => 'name',
      'vname' => 'LBL_NAME',
      'type' => 'name',
      'link' => true,
      'dbType' => 'varchar',
      'len' => 255,
      'unified_search' => true,
      'required' => true,
      'importable' => 'required',
      'duplicate_merge' => 'enabled',
      'merge_filter' => 'selected',
    ),
    'date_entered' => 
    array (
      'name' => 'date_entered',
      'vname' => 'LBL_DATE_ENTERED',
      'type' => 'datetime',
      'group' => 'created_by_name',
      'comment' => 'Date record created',
      'enable_range_search' => true,
      'options' => 'date_range_search_dom',
    ),
    'date_modified' => 
    array (
      'name' => 'date_modified',
      'vname' => 'LBL_DATE_MODIFIED',
      'type' => 'datetime',
      'group' => 'modified_by_name',
      'comment' => 'Date record last modified',
      'enable_range_search' => true,
      'options' => 'date_range_search_dom',
    ),
    'modified_user_id' => 
    array (
      'name' => 'modified_user_id',
      'rname' => 'user_name',
      'id_name' => 'modified_user_id',
      'vname' => 'LBL_MODIFIED',
      'type' => 'assigned_user_name',
      'table' => 'users',
      'isnull' => 'false',
      'group' => 'modified_by_name',
      'dbType' => 'id',
      'reportable' => true,
      'comment' => 'User who last modified record',
    ),
    'modified_by_name' => 
    array (
      'name' => 'modified_by_name',
      'vname' => 'LBL_MODIFIED_NAME',
      'type' => 'relate',
      'reportable' => false,
      'source' => 'non-db',
      'rname' => 'user_name',
      'table' => 'users',
      'id_name' => 'modified_user_id',
      'module' => 'Users',
      'link' => 'modified_user_link',
      'duplicate_merge' => 'disabled',
    ),
    'created_by' => 
    array (
      'name' => 'created_by',
      'rname' => 'user_name',
      'id_name' => 'modified_user_id',
      'vname' => 'LBL_CREATED',
      'type' => 'assigned_user_name',
      'table' => 'users',
      'isnull' => 'false',
      'dbType' => 'id',
      'group' => 'created_by_name',
      'comment' => 'User who created record',
    ),
    'created_by_name' => 
    array (
      'name' => 'created_by_name',
      'vname' => 'LBL_CREATED',
      'type' => 'relate',
      'reportable' => false,
      'link' => 'created_by_link',
      'rname' => 'user_name',
      'source' => 'non-db',
      'table' => 'users',
      'id_name' => 'created_by',
      'module' => 'Users',
      'duplicate_merge' => 'disabled',
      'importable' => 'false',
    ),
    'description' => 
    array (
      'name' => 'description',
      'vname' => 'LBL_DESCRIPTION',
      'type' => 'varchar',
      'comment' => 'Full text of the note',
      'rows' => 6,
      'cols' => 80,
      'required' => false,
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
    ),
    'deleted' => 
    array (
      'name' => 'deleted',
      'vname' => 'LBL_DELETED',
      'type' => 'bool',
      'default' => '0',
      'reportable' => false,
      'comment' => 'Record deletion indicator',
    ),
    'created_by_link' => 
    array (
      'name' => 'created_by_link',
      'type' => 'link',
      'relationship' => 'cts_gift_certificates_created_by',
      'vname' => 'LBL_CREATED_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
    ),
    'modified_user_link' => 
    array (
      'name' => 'modified_user_link',
      'type' => 'link',
      'relationship' => 'cts_gift_certificates_modified_user',
      'vname' => 'LBL_MODIFIED_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
    ),
    'assigned_user_id' => 
    array (
      'name' => 'assigned_user_id',
      'rname' => 'user_name',
      'id_name' => 'assigned_user_id',
      'vname' => 'LBL_ASSIGNED_TO_ID',
      'group' => 'assigned_user_name',
      'type' => 'relate',
      'table' => 'users',
      'module' => 'Users',
      'reportable' => true,
      'isnull' => 'false',
      'dbType' => 'id',
      'audited' => true,
      'comment' => 'User ID assigned to record',
      'duplicate_merge' => 'disabled',
    ),
    'assigned_user_name' => 
    array (
      'name' => 'assigned_user_name',
      'link' => 'assigned_user_link',
      'vname' => 'LBL_ASSIGNED_TO_NAME',
      'rname' => 'user_name',
      'type' => 'relate',
      'reportable' => false,
      'source' => 'non-db',
      'table' => 'users',
      'id_name' => 'assigned_user_id',
      'module' => 'Users',
      'duplicate_merge' => 'disabled',
    ),
    'assigned_user_link' => 
    array (
      'name' => 'assigned_user_link',
      'type' => 'link',
      'relationship' => 'cts_gift_certificates_assigned_user',
      'vname' => 'LBL_ASSIGNED_TO_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
      'duplicate_merge' => 'enabled',
      'rname' => 'user_name',
      'id_name' => 'assigned_user_id',
      'table' => 'users',
    ),
    'type' => 
    array (
      'required' => true,
      'name' => 'type',
      'vname' => 'LBL_TYPE',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '10',
      'size' => '20',
    ),
    'seq' => 
    array (
      'required' => true,
      'name' => 'seq',
      'vname' => 'LBL_SEQ',
      'type' => 'int',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '11',
      'size' => '20',
      'disable_num_format' => '',
      'enable_range_search' => false,
    ),
    'price' => 
    array (
      'required' => true,
      'name' => 'price',
      'vname' => 'LBL_PRICE',
      'type' => 'currency',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => 26,
      'size' => '20',
    ),
    'currency_id' => 
    array (
      'required' => false,
      'name' => 'currency_id',
      'vname' => 'LBL_CURRENCY',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
      'studio' => 'visible',
      'function' => 
      array (
        'name' => 'getCurrencyDropDown',
        'returns' => 'html',
      ),
    ),
    'form_name' => 
    array (
      'required' => false,
      'name' => 'form_name',
      'vname' => 'LBL_FORM_NAME',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
    ),
    'gift_line_one' => 
    array (
      'required' => false,
      'name' => 'gift_line_one',
      'vname' => 'LBL_GIFT_LINE_ONE',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
    ),
    'gift_line_two' => 
    array (
      'required' => false,
      'name' => 'gift_line_two',
      'vname' => 'LBL_GIFT_LINE_TWO',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
    ),
    'gift_line_three' => 
    array (
      'required' => false,
      'name' => 'gift_line_three',
      'vname' => 'LBL_GIFT_LINE_THREE',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
    ),
    'gift_line_four' => 
    array (
      'required' => false,
      'name' => 'gift_line_four',
      'vname' => 'LBL_GIFT_LINE_FOUR',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
    ),
    'gift_line_five' => 
    array (
      'required' => false,
      'name' => 'gift_line_five',
      'vname' => 'LBL_GIFT_LINE_FIVE',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
    ),
    'gift_line_six' => 
    array (
      'required' => false,
      'name' => 'gift_line_six',
      'vname' => 'LBL_GIFT_LINE_SIX',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
    ),
    'gl_gcsale_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gcsale_c',
      'vname' => 'LBL_GL_GCSALE',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gcsale_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gccash_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gccash_c',
      'vname' => 'LBL_GL_GCCASH',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gccash_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gcmc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gcmc_c',
      'vname' => 'LBL_GL_GCMC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gcmc_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gcvisa_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gcvisa_c',
      'vname' => 'LBL_GL_GCVISA',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gcvisa_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gcamex_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gcamex_c',
      'vname' => 'LBL_GL_GCAMEX',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gcamex_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gcdisc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gcdisc_c',
      'vname' => 'LBL_GL_GCDISC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gcdisc_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gcmchg_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gcmchg_c',
      'vname' => 'LBL_GL_GCMCHG',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gcmchg_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gcck_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gcck_c',
      'vname' => 'LBL_GL_GCCK',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gcck_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gctck_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gctck_c',
      'vname' => 'LBL_GL_GCTCK',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gctck_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gcpded_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gcpded_c',
      'vname' => 'LBL_GL_GCPDED',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gcpded_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gcdded_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gcdded_c',
      'vname' => 'LBL_GL_GCDDED',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gcdded_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gcgift_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gcgift_c',
      'vname' => 'LBL_GL_GCGIFT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gcgift_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gccoup_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gccoup_c',
      'vname' => 'LBL_GL_GCCOUP',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gccoup_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gcvouc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gcvouc_c',
      'vname' => 'LBL_GL_GCVOUC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gcvouc_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gctrad_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gctrad_c',
      'vname' => 'LBL_GL_GCTRAD',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gctrad_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gcrck_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gcrck_c',
      'vname' => 'LBL_GL_GCRCK',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gcrck_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gcinv_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gcinv_c',
      'vname' => 'LBL_GL_GCINV',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gcinv_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gccustom_pay3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gccustom_pay3_c',
      'vname' => 'LBL_GL_GCCUSTOM_PAY3',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gccustom_pay3_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gccustom_pay2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gccustom_pay2_c',
      'vname' => 'LBL_GL_GCCUSTOM_PAY2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gccustom_pay2_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gccustom_pay1_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gccustom_pay1_c',
      'vname' => 'LBL_GL_GCCUSTOM_PAY1',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gccustom_pay1_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gccredit_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gccredit_c',
      'vname' => 'LBL_GL_GCCREDIT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gccredit_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_adj_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_adj_c',
      'vname' => 'LBL_GL_ADJ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_adj_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gift_certificate_form_c' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'gift_certificate_form_c',
      'vname' => 'LBL_GIFT_CERTIFICATE_FORM',
      'type' => 'relate',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_print_templates_id_c',
      'ext2' => 'cts_print_templates',
      'module' => 'cts_print_templates',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
      'id' => 'cts_gift_certificatesgift_certificate_form_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'cts_print_templates_id_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'cts_print_templates_id_c',
      'vname' => 'LBL_LIST_RELATED_TO',
      'type' => 'id',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => false,
      'unified_search' => false,
      'len' => '36',
      'size' => '20',
      'id' => 'cts_gift_certificatescts_print_templates_id_c',
      'custom_module' => 'cts_gift_certificates',
    ),
    'gl_gcdeposit_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gcdeposit_c',
      'vname' => 'LBL_GL_GCDEPOSIT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_gift_certificatesgl_gcdeposit_c',
      'custom_module' => 'cts_gift_certificates',
    ),
  ),
  'relationships' => 
  array (
    'cts_gift_certificates_modified_user' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_gift_certificates',
      'rhs_table' => 'cts_gift_certificates',
      'rhs_key' => 'modified_user_id',
      'relationship_type' => 'one-to-many',
    ),
    'cts_gift_certificates_created_by' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_gift_certificates',
      'rhs_table' => 'cts_gift_certificates',
      'rhs_key' => 'created_by',
      'relationship_type' => 'one-to-many',
    ),
    'cts_gift_certificates_assigned_user' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_gift_certificates',
      'rhs_table' => 'cts_gift_certificates',
      'rhs_key' => 'assigned_user_id',
      'relationship_type' => 'one-to-many',
    ),
  ),
  'optimistic_locking' => true,
  'unified_search' => true,
  'indices' => 
  array (
    'id' => 
    array (
      'name' => 'cts_gift_certificatespk',
      'type' => 'primary',
      'fields' => 
      array (
        0 => 'id',
      ),
    ),
  ),
  'templates' => 
  array (
    'assignable' => 'assignable',
    'basic' => 'basic',
  ),
  'custom_fields' => true,
);