<?php
// created: 2013-10-28 11:58:22
$GLOBALS["dictionary"]["cts_mbr_categories"] = array (
  'table' => 'cts_mbr_categories',
  'audited' => true,
  'duplicate_merge' => true,
  'fields' => 
  array (
    'id' => 
    array (
      'name' => 'id',
      'vname' => 'LBL_ID',
      'type' => 'id',
      'required' => true,
      'reportable' => true,
      'comment' => 'Unique identifier',
    ),
    'name' => 
    array (
      'name' => 'name',
      'vname' => 'LBL_NAME',
      'type' => 'name',
      'link' => true,
      'dbType' => 'varchar',
      'len' => 255,
      'unified_search' => true,
      'required' => true,
      'importable' => 'required',
      'duplicate_merge' => 'enabled',
      'merge_filter' => 'selected',
    ),
    'date_entered' => 
    array (
      'name' => 'date_entered',
      'vname' => 'LBL_DATE_ENTERED',
      'type' => 'datetime',
      'group' => 'created_by_name',
      'comment' => 'Date record created',
      'enable_range_search' => true,
      'options' => 'date_range_search_dom',
    ),
    'date_modified' => 
    array (
      'name' => 'date_modified',
      'vname' => 'LBL_DATE_MODIFIED',
      'type' => 'datetime',
      'group' => 'modified_by_name',
      'comment' => 'Date record last modified',
      'enable_range_search' => true,
      'options' => 'date_range_search_dom',
    ),
    'modified_user_id' => 
    array (
      'name' => 'modified_user_id',
      'rname' => 'user_name',
      'id_name' => 'modified_user_id',
      'vname' => 'LBL_MODIFIED',
      'type' => 'assigned_user_name',
      'table' => 'users',
      'isnull' => 'false',
      'group' => 'modified_by_name',
      'dbType' => 'id',
      'reportable' => true,
      'comment' => 'User who last modified record',
    ),
    'modified_by_name' => 
    array (
      'name' => 'modified_by_name',
      'vname' => 'LBL_MODIFIED_NAME',
      'type' => 'relate',
      'reportable' => false,
      'source' => 'non-db',
      'rname' => 'user_name',
      'table' => 'users',
      'id_name' => 'modified_user_id',
      'module' => 'Users',
      'link' => 'modified_user_link',
      'duplicate_merge' => 'disabled',
    ),
    'created_by' => 
    array (
      'name' => 'created_by',
      'rname' => 'user_name',
      'id_name' => 'modified_user_id',
      'vname' => 'LBL_CREATED',
      'type' => 'assigned_user_name',
      'table' => 'users',
      'isnull' => 'false',
      'dbType' => 'id',
      'group' => 'created_by_name',
      'comment' => 'User who created record',
    ),
    'created_by_name' => 
    array (
      'name' => 'created_by_name',
      'vname' => 'LBL_CREATED',
      'type' => 'relate',
      'reportable' => false,
      'link' => 'created_by_link',
      'rname' => 'user_name',
      'source' => 'non-db',
      'table' => 'users',
      'id_name' => 'created_by',
      'module' => 'Users',
      'duplicate_merge' => 'disabled',
      'importable' => 'false',
    ),
    'description' => 
    array (
      'name' => 'description',
      'vname' => 'LBL_DESCRIPTION',
      'type' => 'text',
      'comment' => 'Full text of the note',
      'rows' => 6,
      'cols' => 80,
    ),
    'deleted' => 
    array (
      'name' => 'deleted',
      'vname' => 'LBL_DELETED',
      'type' => 'bool',
      'default' => '0',
      'reportable' => false,
      'comment' => 'Record deletion indicator',
    ),
    'created_by_link' => 
    array (
      'name' => 'created_by_link',
      'type' => 'link',
      'relationship' => 'cts_mbr_categories_created_by',
      'vname' => 'LBL_CREATED_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
    ),
    'modified_user_link' => 
    array (
      'name' => 'modified_user_link',
      'type' => 'link',
      'relationship' => 'cts_mbr_categories_modified_user',
      'vname' => 'LBL_MODIFIED_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
    ),
    'assigned_user_id' => 
    array (
      'name' => 'assigned_user_id',
      'rname' => 'user_name',
      'id_name' => 'assigned_user_id',
      'vname' => 'LBL_ASSIGNED_TO_ID',
      'group' => 'assigned_user_name',
      'type' => 'relate',
      'table' => 'users',
      'module' => 'Users',
      'reportable' => true,
      'isnull' => 'false',
      'dbType' => 'id',
      'audited' => true,
      'comment' => 'User ID assigned to record',
      'duplicate_merge' => 'disabled',
    ),
    'assigned_user_name' => 
    array (
      'name' => 'assigned_user_name',
      'link' => 'assigned_user_link',
      'vname' => 'LBL_ASSIGNED_TO_NAME',
      'rname' => 'user_name',
      'type' => 'relate',
      'reportable' => false,
      'source' => 'non-db',
      'table' => 'users',
      'id_name' => 'assigned_user_id',
      'module' => 'Users',
      'duplicate_merge' => 'disabled',
    ),
    'assigned_user_link' => 
    array (
      'name' => 'assigned_user_link',
      'type' => 'link',
      'relationship' => 'cts_mbr_categories_assigned_user',
      'vname' => 'LBL_ASSIGNED_TO_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
      'duplicate_merge' => 'enabled',
      'rname' => 'user_name',
      'id_name' => 'assigned_user_id',
      'table' => 'users',
    ),
    'beg_date' => 
    array (
      'required' => false,
      'name' => 'beg_date',
      'vname' => 'LBL_BEG_DATE',
      'type' => 'date',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'size' => '20',
    ),
    'end_date' => 
    array (
      'required' => false,
      'name' => 'end_date',
      'vname' => 'LBL_END_DATE',
      'type' => 'date',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'size' => '20',
    ),
    'exact_amt' => 
    array (
      'required' => false,
      'name' => 'exact_amt',
      'vname' => 'LBL_EXACT_AMT',
      'type' => 'currency',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => 26,
      'size' => '20',
    ),
    'currency_id' => 
    array (
      'required' => false,
      'name' => 'currency_id',
      'vname' => 'LBL_CURRENCY',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
      'studio' => 'visible',
      'function' => 
      array (
        'name' => 'getCurrencyDropDown',
        'returns' => 'html',
      ),
    ),
    'min_amt' => 
    array (
      'required' => false,
      'name' => 'min_amt',
      'vname' => 'LBL_MIN_AMT',
      'type' => 'currency',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => 26,
      'size' => '20',
    ),
    'hide' => 
    array (
      'required' => false,
      'name' => 'hide',
      'vname' => 'LBL_HIDE',
      'type' => 'enum',
      'massupdate' => 0,
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
    ),
    'goal' => 
    array (
      'required' => false,
      'name' => 'goal',
      'vname' => 'LBL_GOAL',
      'type' => 'currency',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => 26,
      'size' => '20',
    ),
    'gl_pay' => 
    array (
      'required' => false,
      'name' => 'gl_pay',
      'vname' => 'LBL_GL_PAY',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'gl_cash' => 
    array (
      'required' => false,
      'name' => 'gl_cash',
      'vname' => 'LBL_GL_CASH',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'gl_mc' => 
    array (
      'required' => false,
      'name' => 'gl_mc',
      'vname' => 'LBL_GL_MC',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'gl_visa' => 
    array (
      'required' => false,
      'name' => 'gl_visa',
      'vname' => 'LBL_GL_VISA',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'gl_amex' => 
    array (
      'required' => false,
      'name' => 'gl_amex',
      'vname' => 'LBL_GL_AMEX',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'gl_disc' => 
    array (
      'required' => false,
      'name' => 'gl_disc',
      'vname' => 'LBL_GL_DISC',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'gl_mchg' => 
    array (
      'required' => false,
      'name' => 'gl_mchg',
      'vname' => 'LBL_GL_MCHG',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'gl_chk' => 
    array (
      'required' => false,
      'name' => 'gl_chk',
      'vname' => 'LBL_GL_CHK',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'gl_pded' => 
    array (
      'required' => false,
      'name' => 'gl_pded',
      'vname' => 'LBL_GL_PDED',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'gl_dded' => 
    array (
      'required' => false,
      'name' => 'gl_dded',
      'vname' => 'LBL_GL_DDED',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'gl_gift' => 
    array (
      'required' => false,
      'name' => 'gl_gift',
      'vname' => 'LBL_GL_GIFT',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'gl_stock' => 
    array (
      'required' => false,
      'name' => 'gl_stock',
      'vname' => 'LBL_GL_STOCK',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'gl_trade' => 
    array (
      'required' => false,
      'name' => 'gl_trade',
      'vname' => 'LBL_GL_TRADE',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'gl_inkind' => 
    array (
      'required' => false,
      'name' => 'gl_inkind',
      'vname' => 'LBL_GL_INKIND',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'gl_plgrec' => 
    array (
      'required' => false,
      'name' => 'gl_plgrec',
      'vname' => 'LBL_GL_PLGREC',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'cts_cc_merchants_id_c' => 
    array (
      'required' => false,
      'name' => 'cts_cc_merchants_id_c',
      'vname' => '',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
    ),
    'cc_merchant' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'cc_merchant',
      'vname' => 'LBL_CC_MERCHANT',
      'type' => 'relate',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_cc_merchants_id_c',
      'ext2' => 'cts_cc_merchants',
      'module' => 'cts_cc_merchants',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
    ),
    'cts_user_groups_id_c' => 
    array (
      'required' => false,
      'name' => 'cts_user_groups_id_c',
      'vname' => '',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
    ),
    'user_group' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'user_group',
      'vname' => 'LBL_USER_GROUP',
      'type' => 'relate',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_user_groups_id_c',
      'ext2' => 'cts_user_groups',
      'module' => 'cts_user_groups',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
    ),
    'mbr_category_id' => 
    array (
      'required' => false,
      'name' => 'mbr_category_id',
      'vname' => 'LBL_MBR_CATEGORY_ID',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '6',
      'size' => '20',
    ),
    'gl_bdues' => 
    array (
      'required' => false,
      'name' => 'gl_bdues',
      'vname' => 'LBL_GL_BDUES',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'gl_bplg' => 
    array (
      'required' => false,
      'name' => 'gl_bplg',
      'vname' => 'LBL_GL_BPLG',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'gl_bplgpay' => 
    array (
      'required' => false,
      'name' => 'gl_bplgpay',
      'vname' => 'LBL_GL_BPLGPAY',
      'type' => 'varchar',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '20',
      'size' => '20',
    ),
    'cts_mbr_groups_id_c' => 
    array (
      'required' => false,
      'name' => 'cts_mbr_groups_id_c',
      'vname' => '',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
    ),
    'mbr_group' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'mbr_group',
      'vname' => 'LBL_MBR_GROUP',
      'type' => 'relate',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_mbr_groups_id_c',
      'ext2' => 'cts_mbr_groups',
      'module' => 'cts_mbr_groups',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
    ),
    'gl_custom_pay3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_custom_pay3_c',
      'vname' => 'LBL_GL_CUSTOM_PAY3',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_mbr_categoriesgl_custom_pay3_c',
      'custom_module' => 'cts_mbr_categories',
    ),
    'gl_custom_pay2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_custom_pay2_c',
      'vname' => 'LBL_GL_CUSTOM_PAY2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_mbr_categoriesgl_custom_pay2_c',
      'custom_module' => 'cts_mbr_categories',
    ),
    'gl_custom_pay1_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_custom_pay1_c',
      'vname' => 'LBL_GL_CUSTOM_PAY1',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_mbr_categoriesgl_custom_pay1_c',
      'custom_module' => 'cts_mbr_categories',
    ),
    'gl_credit_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_credit_c',
      'vname' => 'LBL_GL_CREDIT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_mbr_categoriesgl_credit_c',
      'custom_module' => 'cts_mbr_categories',
    ),
    'gl_trav_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_trav_c',
      'vname' => 'LBL_GL_TRAV',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_mbr_categoriesgl_trav_c',
      'custom_module' => 'cts_mbr_categories',
    ),
    'gl_coup_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_coup_c',
      'vname' => 'LBL_GL_COUP',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_mbr_categoriesgl_coup_c',
      'custom_module' => 'cts_mbr_categories',
    ),
    'gl_vouc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_vouc_c',
      'vname' => 'LBL_GL_VOUC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_mbr_categoriesgl_vouc_c',
      'custom_module' => 'cts_mbr_categories',
    ),
    'gl_inv_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_inv_c',
      'vname' => 'LBL_GL_INV',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_mbr_categoriesgl_inv_c',
      'custom_module' => 'cts_mbr_categories',
    ),
    'gl_adj_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_adj_c',
      'vname' => 'LBL_GL_ADJ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_mbr_categoriesgl_adj_c',
      'custom_module' => 'cts_mbr_categories',
    ),
    'gl_rck_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_rck_c',
      'vname' => 'LBL_GL_RCK',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_mbr_categoriesgl_rck_c',
      'custom_module' => 'cts_mbr_categories',
    ),
    'gl_deposit_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_deposit_c',
      'vname' => 'LBL_GL_DEPOSIT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_mbr_categoriesgl_deposit_c',
      'custom_module' => 'cts_mbr_categories',
    ),
    'active_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'active_c',
      'vname' => 'LBL_ACTIVE',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_mbr_categoriesactive_c',
      'custom_module' => 'cts_mbr_categories',
    ),
    'active_internet_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'active_internet_c',
      'vname' => 'LBL_ACTIVE_INTERNET',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_mbr_categoriesactive_internet_c',
      'custom_module' => 'cts_mbr_categories',
    ),
  ),
  'relationships' => 
  array (
    'cts_mbr_categories_modified_user' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_mbr_categories',
      'rhs_table' => 'cts_mbr_categories',
      'rhs_key' => 'modified_user_id',
      'relationship_type' => 'one-to-many',
    ),
    'cts_mbr_categories_created_by' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_mbr_categories',
      'rhs_table' => 'cts_mbr_categories',
      'rhs_key' => 'created_by',
      'relationship_type' => 'one-to-many',
    ),
    'cts_mbr_categories_assigned_user' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_mbr_categories',
      'rhs_table' => 'cts_mbr_categories',
      'rhs_key' => 'assigned_user_id',
      'relationship_type' => 'one-to-many',
    ),
  ),
  'optimistic_locking' => true,
  'unified_search' => true,
  'indices' => 
  array (
    'id' => 
    array (
      'name' => 'cts_mbr_categoriespk',
      'type' => 'primary',
      'fields' => 
      array (
        0 => 'id',
      ),
    ),
  ),
  'templates' => 
  array (
    'assignable' => 'assignable',
    'basic' => 'basic',
  ),
  'custom_fields' => true,
);