<?php
// created: 2013-10-28 11:58:22
$GLOBALS["dictionary"]["cts_merchandise"] = array (
  'table' => 'cts_merchandise',
  'audited' => true,
  'duplicate_merge' => true,
  'fields' => 
  array (
    'id' => 
    array (
      'name' => 'id',
      'vname' => 'LBL_ID',
      'type' => 'id',
      'required' => true,
      'reportable' => true,
      'comment' => 'Unique identifier',
    ),
    'name' => 
    array (
      'name' => 'name',
      'vname' => 'LBL_NAME',
      'type' => 'name',
      'link' => true,
      'dbType' => 'varchar',
      'len' => 255,
      'unified_search' => true,
      'required' => true,
      'importable' => 'required',
      'duplicate_merge' => 'enabled',
      'merge_filter' => 'selected',
    ),
    'date_entered' => 
    array (
      'name' => 'date_entered',
      'vname' => 'LBL_DATE_ENTERED',
      'type' => 'datetime',
      'group' => 'created_by_name',
      'comment' => 'Date record created',
      'enable_range_search' => true,
      'options' => 'date_range_search_dom',
    ),
    'date_modified' => 
    array (
      'name' => 'date_modified',
      'vname' => 'LBL_DATE_MODIFIED',
      'type' => 'datetime',
      'group' => 'modified_by_name',
      'comment' => 'Date record last modified',
      'enable_range_search' => true,
      'options' => 'date_range_search_dom',
    ),
    'modified_user_id' => 
    array (
      'name' => 'modified_user_id',
      'rname' => 'user_name',
      'id_name' => 'modified_user_id',
      'vname' => 'LBL_MODIFIED',
      'type' => 'assigned_user_name',
      'table' => 'users',
      'isnull' => 'false',
      'group' => 'modified_by_name',
      'dbType' => 'id',
      'reportable' => true,
      'comment' => 'User who last modified record',
    ),
    'modified_by_name' => 
    array (
      'name' => 'modified_by_name',
      'vname' => 'LBL_MODIFIED_NAME',
      'type' => 'relate',
      'reportable' => false,
      'source' => 'non-db',
      'rname' => 'user_name',
      'table' => 'users',
      'id_name' => 'modified_user_id',
      'module' => 'Users',
      'link' => 'modified_user_link',
      'duplicate_merge' => 'disabled',
    ),
    'created_by' => 
    array (
      'name' => 'created_by',
      'rname' => 'user_name',
      'id_name' => 'modified_user_id',
      'vname' => 'LBL_CREATED',
      'type' => 'assigned_user_name',
      'table' => 'users',
      'isnull' => 'false',
      'dbType' => 'id',
      'group' => 'created_by_name',
      'comment' => 'User who created record',
    ),
    'created_by_name' => 
    array (
      'name' => 'created_by_name',
      'vname' => 'LBL_CREATED',
      'type' => 'relate',
      'reportable' => false,
      'link' => 'created_by_link',
      'rname' => 'user_name',
      'source' => 'non-db',
      'table' => 'users',
      'id_name' => 'created_by',
      'module' => 'Users',
      'duplicate_merge' => 'disabled',
      'importable' => 'false',
    ),
    'description' => 
    array (
      'name' => 'description',
      'vname' => 'LBL_DESCRIPTION',
      'type' => 'text',
      'comment' => 'Full text of the note',
      'rows' => 6,
      'cols' => 80,
      'required' => true,
    ),
    'deleted' => 
    array (
      'name' => 'deleted',
      'vname' => 'LBL_DELETED',
      'type' => 'bool',
      'default' => '0',
      'reportable' => false,
      'comment' => 'Record deletion indicator',
    ),
    'created_by_link' => 
    array (
      'name' => 'created_by_link',
      'type' => 'link',
      'relationship' => 'cts_merchandise_created_by',
      'vname' => 'LBL_CREATED_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
    ),
    'modified_user_link' => 
    array (
      'name' => 'modified_user_link',
      'type' => 'link',
      'relationship' => 'cts_merchandise_modified_user',
      'vname' => 'LBL_MODIFIED_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
    ),
    'assigned_user_id' => 
    array (
      'name' => 'assigned_user_id',
      'rname' => 'user_name',
      'id_name' => 'assigned_user_id',
      'vname' => 'LBL_ASSIGNED_TO_ID',
      'group' => 'assigned_user_name',
      'type' => 'relate',
      'table' => 'users',
      'module' => 'Users',
      'reportable' => true,
      'isnull' => 'false',
      'dbType' => 'id',
      'audited' => true,
      'comment' => 'User ID assigned to record',
      'duplicate_merge' => 'disabled',
    ),
    'assigned_user_name' => 
    array (
      'name' => 'assigned_user_name',
      'link' => 'assigned_user_link',
      'vname' => 'LBL_ASSIGNED_TO_NAME',
      'rname' => 'user_name',
      'type' => 'relate',
      'reportable' => false,
      'source' => 'non-db',
      'table' => 'users',
      'id_name' => 'assigned_user_id',
      'module' => 'Users',
      'duplicate_merge' => 'disabled',
    ),
    'assigned_user_link' => 
    array (
      'name' => 'assigned_user_link',
      'type' => 'link',
      'relationship' => 'cts_merchandise_assigned_user',
      'vname' => 'LBL_ASSIGNED_TO_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
      'duplicate_merge' => 'enabled',
      'rname' => 'user_name',
      'id_name' => 'assigned_user_id',
      'table' => 'users',
    ),
    'seq_nbr_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'seq_nbr_c',
      'vname' => 'LBL_SEQ_NBR',
      'type' => 'int',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '3',
      'size' => '20',
      'enable_range_search' => false,
      'disable_num_format' => NULL,
      'id' => 'cts_merchandiseseq_nbr_c',
      'custom_module' => 'cts_merchandise',
    ),
    'active_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'active_c',
      'vname' => 'LBL_ACTIVE',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_merchandiseactive_c',
      'custom_module' => 'cts_merchandise',
    ),
    'active_internet_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'active_internet_c',
      'vname' => 'LBL_ACTIVE_INTERNET',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'N',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_merchandiseactive_internet_c',
      'custom_module' => 'cts_merchandise',
    ),
    'image_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'image_c',
      'vname' => 'LBL_IMAGE',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '100',
      'size' => '20',
      'id' => 'cts_merchandiseimage_c',
      'custom_module' => 'cts_merchandise',
    ),
    'mercno_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'mercno_c',
      'vname' => 'LBL_MERCNO',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '6',
      'size' => '20',
      'id' => 'cts_merchandisemercno_c',
      'custom_module' => 'cts_merchandise',
    ),
    'document_id_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'document_id_c',
      'vname' => 'LBL_LIST_RELATED_TO',
      'type' => 'id',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => false,
      'unified_search' => false,
      'len' => '36',
      'size' => '20',
      'id' => 'cts_merchandisedocument_id_c',
      'custom_module' => 'cts_merchandise',
    ),
    'price_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'price_c',
      'vname' => 'LBL_PRICE',
      'type' => 'currency',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '26',
      'size' => '20',
      'enable_range_search' => false,
      'id' => 'cts_merchandiseprice_c',
      'custom_module' => 'cts_merchandise',
    ),
    'currency_id' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'currency_id',
      'vname' => 'LBL_CURRENCY',
      'type' => 'id',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '36',
      'size' => '20',
      'studio' => 'visible',
      'function' => 
      array (
        'name' => 'getCurrencyDropDown',
        'returns' => 'html',
      ),
      'id' => 'cts_merchandisecurrency_id',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_mercsale_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_mercsale_c',
      'vname' => 'LBL_GL_MERCSALE',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_mercsale_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_visa_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_visa_c',
      'vname' => 'LBL_GL_VISA',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_visa_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_cash_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_cash_c',
      'vname' => 'LBL_GL_CASH',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_cash_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_mc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_mc_c',
      'vname' => 'LBL_GL_MC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_mc_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_amex_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_amex_c',
      'vname' => 'LBL_GL_AMEX',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_amex_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_disc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_disc_c',
      'vname' => 'LBL_GL_DISC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_disc_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_mchg_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_mchg_c',
      'vname' => 'LBL_GL_MCHG',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_mchg_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_ck_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_ck_c',
      'vname' => 'LBL_GL_CK',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_ck_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_tck_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_tck_c',
      'vname' => 'LBL_GL_TCK',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_tck_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_pded_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_pded_c',
      'vname' => 'LBL_GL_PDED',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_pded_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_dded_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_dded_c',
      'vname' => 'LBL_GL_DDED',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_dded_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_gift_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_gift_c',
      'vname' => 'LBL_GL_GIFT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_gift_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_coup_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_coup_c',
      'vname' => 'LBL_GL_COUP',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_coup_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_vouc_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_vouc_c',
      'vname' => 'LBL_GL_VOUC',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_vouc_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_inv_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_inv_c',
      'vname' => 'LBL_GL_INV',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_inv_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_trad_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_trad_c',
      'vname' => 'LBL_GL_TRAD',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_trad_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_rck_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_rck_c',
      'vname' => 'LBL_GL_RCK',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_rck_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_custom_pay3_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_custom_pay3_c',
      'vname' => 'LBL_GL_CUSTOM_PAY3',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_custom_pay3_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_custom_pay2_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_custom_pay2_c',
      'vname' => 'LBL_GL_CUSTOM_PAY2',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_custom_pay2_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_custom_pay1_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_custom_pay1_c',
      'vname' => 'LBL_GL_CUSTOM_PAY1',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_custom_pay1_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_credit_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_credit_c',
      'vname' => 'LBL_GL_CREDIT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_credit_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_adj_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_adj_c',
      'vname' => 'LBL_GL_ADJ',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_adj_c',
      'custom_module' => 'cts_merchandise',
    ),
    'sug_image_c' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'sug_image_c',
      'vname' => 'LBL_SUG_IMAGE',
      'type' => 'relate',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id_name' => 'document_id_c',
      'ext2' => 'Documents',
      'module' => 'Documents',
      'rname' => 'document_name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
      'id' => 'cts_merchandisesug_image_c',
      'custom_module' => 'cts_merchandise',
    ),
    'gl_deposit_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'gl_deposit_c',
      'vname' => 'LBL_GL_DEPOSIT',
      'type' => 'varchar',
      'massupdate' => '0',
      'default' => '',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '20',
      'size' => '20',
      'id' => 'cts_merchandisegl_deposit_c',
      'custom_module' => 'cts_merchandise',
    ),
  ),
  'relationships' => 
  array (
    'cts_merchandise_modified_user' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_merchandise',
      'rhs_table' => 'cts_merchandise',
      'rhs_key' => 'modified_user_id',
      'relationship_type' => 'one-to-many',
    ),
    'cts_merchandise_created_by' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_merchandise',
      'rhs_table' => 'cts_merchandise',
      'rhs_key' => 'created_by',
      'relationship_type' => 'one-to-many',
    ),
    'cts_merchandise_assigned_user' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_merchandise',
      'rhs_table' => 'cts_merchandise',
      'rhs_key' => 'assigned_user_id',
      'relationship_type' => 'one-to-many',
    ),
  ),
  'optimistic_locking' => true,
  'unified_search' => true,
  'indices' => 
  array (
    'id' => 
    array (
      'name' => 'cts_merchandisepk',
      'type' => 'primary',
      'fields' => 
      array (
        0 => 'id',
      ),
    ),
  ),
  'templates' => 
  array (
    'assignable' => 'assignable',
    'basic' => 'basic',
  ),
  'custom_fields' => true,
);