<?php
// created: 2013-11-07 17:24:22
$GLOBALS["dictionary"]["cts_user_config"] = array (
  'table' => 'cts_user_config',
  'audited' => true,
  'duplicate_merge' => true,
  'fields' => 
  array (
    'id' => 
    array (
      'name' => 'id',
      'vname' => 'LBL_ID',
      'type' => 'id',
      'required' => true,
      'reportable' => true,
      'comment' => 'Unique identifier',
    ),
    'name' => 
    array (
      'name' => 'name',
      'vname' => 'LBL_NAME',
      'type' => 'name',
      'link' => true,
      'dbType' => 'varchar',
      'len' => 255,
      'unified_search' => true,
      'required' => true,
      'importable' => 'required',
      'duplicate_merge' => 'enabled',
      'merge_filter' => 'selected',
    ),
    'date_entered' => 
    array (
      'name' => 'date_entered',
      'vname' => 'LBL_DATE_ENTERED',
      'type' => 'datetime',
      'group' => 'created_by_name',
      'comment' => 'Date record created',
      'enable_range_search' => true,
      'options' => 'date_range_search_dom',
    ),
    'date_modified' => 
    array (
      'name' => 'date_modified',
      'vname' => 'LBL_DATE_MODIFIED',
      'type' => 'datetime',
      'group' => 'modified_by_name',
      'comment' => 'Date record last modified',
      'enable_range_search' => true,
      'options' => 'date_range_search_dom',
    ),
    'modified_user_id' => 
    array (
      'name' => 'modified_user_id',
      'rname' => 'user_name',
      'id_name' => 'modified_user_id',
      'vname' => 'LBL_MODIFIED',
      'type' => 'assigned_user_name',
      'table' => 'users',
      'isnull' => 'false',
      'group' => 'modified_by_name',
      'dbType' => 'id',
      'reportable' => true,
      'comment' => 'User who last modified record',
    ),
    'modified_by_name' => 
    array (
      'name' => 'modified_by_name',
      'vname' => 'LBL_MODIFIED_NAME',
      'type' => 'relate',
      'reportable' => false,
      'source' => 'non-db',
      'rname' => 'user_name',
      'table' => 'users',
      'id_name' => 'modified_user_id',
      'module' => 'Users',
      'link' => 'modified_user_link',
      'duplicate_merge' => 'disabled',
    ),
    'created_by' => 
    array (
      'name' => 'created_by',
      'rname' => 'user_name',
      'id_name' => 'modified_user_id',
      'vname' => 'LBL_CREATED',
      'type' => 'assigned_user_name',
      'table' => 'users',
      'isnull' => 'false',
      'dbType' => 'id',
      'group' => 'created_by_name',
      'comment' => 'User who created record',
    ),
    'created_by_name' => 
    array (
      'name' => 'created_by_name',
      'vname' => 'LBL_CREATED',
      'type' => 'relate',
      'reportable' => false,
      'link' => 'created_by_link',
      'rname' => 'user_name',
      'source' => 'non-db',
      'table' => 'users',
      'id_name' => 'created_by',
      'module' => 'Users',
      'duplicate_merge' => 'disabled',
      'importable' => 'false',
    ),
    'description' => 
    array (
      'name' => 'description',
      'vname' => 'LBL_DESCRIPTION',
      'type' => 'text',
      'comment' => 'Full text of the note',
      'rows' => 6,
      'cols' => 80,
    ),
    'deleted' => 
    array (
      'name' => 'deleted',
      'vname' => 'LBL_DELETED',
      'type' => 'bool',
      'default' => '0',
      'reportable' => false,
      'comment' => 'Record deletion indicator',
    ),
    'created_by_link' => 
    array (
      'name' => 'created_by_link',
      'type' => 'link',
      'relationship' => 'cts_user_config_created_by',
      'vname' => 'LBL_CREATED_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
    ),
    'modified_user_link' => 
    array (
      'name' => 'modified_user_link',
      'type' => 'link',
      'relationship' => 'cts_user_config_modified_user',
      'vname' => 'LBL_MODIFIED_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
    ),
    'assigned_user_id' => 
    array (
      'name' => 'assigned_user_id',
      'rname' => 'user_name',
      'id_name' => 'assigned_user_id',
      'vname' => 'LBL_ASSIGNED_TO_ID',
      'group' => 'assigned_user_name',
      'type' => 'relate',
      'table' => 'users',
      'module' => 'Users',
      'reportable' => true,
      'isnull' => 'false',
      'dbType' => 'id',
      'audited' => true,
      'comment' => 'User ID assigned to record',
      'duplicate_merge' => 'disabled',
    ),
    'assigned_user_name' => 
    array (
      'name' => 'assigned_user_name',
      'link' => 'assigned_user_link',
      'vname' => 'LBL_ASSIGNED_TO_NAME',
      'rname' => 'user_name',
      'type' => 'relate',
      'reportable' => false,
      'source' => 'non-db',
      'table' => 'users',
      'id_name' => 'assigned_user_id',
      'module' => 'Users',
      'duplicate_merge' => 'disabled',
    ),
    'assigned_user_link' => 
    array (
      'name' => 'assigned_user_link',
      'type' => 'link',
      'relationship' => 'cts_user_config_assigned_user',
      'vname' => 'LBL_ASSIGNED_TO_USER',
      'link_type' => 'one',
      'module' => 'Users',
      'bean_name' => 'User',
      'source' => 'non-db',
      'duplicate_merge' => 'enabled',
      'rname' => 'user_name',
      'id_name' => 'assigned_user_id',
      'table' => 'users',
    ),
    'cts_printers_id_c' => 
    array (
      'required' => false,
      'name' => 'cts_printers_id_c',
      'vname' => '',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
    ),
    'ticket_printer' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'ticket_printer',
      'vname' => 'LBL_TICKET_PRINTER',
      'type' => 'relate',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_printers_id_c',
      'ext2' => 'cts_printers',
      'module' => 'cts_printers',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
    ),
    'cts_printers_id1_c' => 
    array (
      'required' => false,
      'name' => 'cts_printers_id1_c',
      'vname' => '',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
    ),
    'report_printer' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'report_printer',
      'vname' => 'LBL_REPORT_PRINTER',
      'type' => 'relate',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_printers_id1_c',
      'ext2' => 'cts_printers',
      'module' => 'cts_printers',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
    ),
    'cts_printers_id2_c' => 
    array (
      'required' => false,
      'name' => 'cts_printers_id2_c',
      'vname' => '',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
    ),
    'cc_receipt_printer' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'cc_receipt_printer',
      'vname' => 'LBL_CC_RECEIPT_PRINTER',
      'type' => 'relate',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_printers_id2_c',
      'ext2' => 'cts_printers',
      'module' => 'cts_printers',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
    ),
    'cts_printers_id3_c' => 
    array (
      'required' => false,
      'name' => 'cts_printers_id3_c',
      'vname' => '',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
    ),
    'invoice_printer' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'invoice_printer',
      'vname' => 'LBL_INVOICE_PRINTER',
      'type' => 'relate',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_printers_id3_c',
      'ext2' => 'cts_printers',
      'module' => 'cts_printers',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
    ),
    'cts_print_templates_id_c' => 
    array (
      'required' => false,
      'name' => 'cts_print_templates_id_c',
      'vname' => '',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
    ),
    'header_ticket_form' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'header_ticket_form',
      'vname' => 'LBL_HEADER_TICKET_FORM',
      'type' => 'relate',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_print_templates_id_c',
      'ext2' => 'cts_print_templates',
      'module' => 'cts_print_templates',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
    ),
    'cts_print_templates_id1_c' => 
    array (
      'required' => false,
      'name' => 'cts_print_templates_id1_c',
      'vname' => '',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
    ),
    'detail_ticket_form' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'detail_ticket_form',
      'vname' => 'LBL_DETAIL_TICKET_FORM',
      'type' => 'relate',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_print_templates_id1_c',
      'ext2' => 'cts_print_templates',
      'module' => 'cts_print_templates',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
    ),
    'cts_print_templates_id2_c' => 
    array (
      'required' => false,
      'name' => 'cts_print_templates_id2_c',
      'vname' => '',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
    ),
    'cc_sign_receipt_form' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'cc_sign_receipt_form',
      'vname' => 'LBL_CC_SIGN_RECEIPT_FORM',
      'type' => 'relate',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_print_templates_id2_c',
      'ext2' => 'cts_print_templates',
      'module' => 'cts_print_templates',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
    ),
    'cts_print_templates_id3_c' => 
    array (
      'required' => false,
      'name' => 'cts_print_templates_id3_c',
      'vname' => '',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
    ),
    'cc_cust_receipt_form' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'cc_cust_receipt_form',
      'vname' => 'LBL_CC_CUST_RECEIPT_FORM',
      'type' => 'relate',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_print_templates_id3_c',
      'ext2' => 'cts_print_templates',
      'module' => 'cts_print_templates',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
    ),
    'cts_print_templates_id4_c' => 
    array (
      'required' => false,
      'name' => 'cts_print_templates_id4_c',
      'vname' => '',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
    ),
    'ticket_invoice_form' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'ticket_invoice_form',
      'vname' => 'LBL_TICKET_INVOICE_FORM',
      'type' => 'relate',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_print_templates_id4_c',
      'ext2' => 'cts_print_templates',
      'module' => 'cts_print_templates',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
    ),
    'cts_print_templates_id5_c' => 
    array (
      'required' => false,
      'name' => 'cts_print_templates_id5_c',
      'vname' => '',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
    ),
    'renewal_form' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'renewal_form',
      'vname' => 'LBL_RENEWAL_FORM',
      'type' => 'relate',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_print_templates_id5_c',
      'ext2' => 'cts_print_templates',
      'module' => 'cts_print_templates',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
    ),
    'cts_print_templates_id6_c' => 
    array (
      'required' => false,
      'name' => 'cts_print_templates_id6_c',
      'vname' => '',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
    ),
    'renewal_confirm_form' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'renewal_confirm_form',
      'vname' => 'LBL_RENEWAL_CONFIRM_FORM',
      'type' => 'relate',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_print_templates_id6_c',
      'ext2' => 'cts_print_templates',
      'module' => 'cts_print_templates',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
    ),
    'cts_print_templates_id7_c' => 
    array (
      'required' => false,
      'name' => 'cts_print_templates_id7_c',
      'vname' => '',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
    ),
    'ar_statement_form' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'ar_statement_form',
      'vname' => 'LBL_AR_STATEMENT_FORM',
      'type' => 'relate',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_print_templates_id7_c',
      'ext2' => 'cts_print_templates',
      'module' => 'cts_print_templates',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
    ),
    'cts_print_templates_id8_c' => 
    array (
      'required' => false,
      'name' => 'cts_print_templates_id8_c',
      'vname' => '',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
    ),
    'pledge_invoice_form' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'pledge_invoice_form',
      'vname' => 'LBL_PLEDGE_INVOICE_FORM',
      'type' => 'relate',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_print_templates_id8_c',
      'ext2' => 'cts_print_templates',
      'module' => 'cts_print_templates',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
    ),
    'cts_print_templates_id9_c' => 
    array (
      'required' => false,
      'name' => 'cts_print_templates_id9_c',
      'vname' => '',
      'type' => 'id',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => 0,
      'audited' => false,
      'reportable' => true,
      'len' => 36,
      'size' => '20',
    ),
    'tax_receipt_form' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'tax_receipt_form',
      'vname' => 'LBL_TAX_RECEIPT_FORM',
      'type' => 'relate',
      'massupdate' => 0,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_print_templates_id9_c',
      'ext2' => 'cts_print_templates',
      'module' => 'cts_print_templates',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
    ),
    'cts_print_templates_id10_c' => 
    array (
      'required' => false,
      'source' => 'custom_fields',
      'name' => 'cts_print_templates_id10_c',
      'vname' => 'LBL_LIST_RELATED_TO',
      'type' => 'id',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => false,
      'unified_search' => false,
      'len' => '36',
      'size' => '20',
      'id' => 'cts_user_configcts_print_templates_id10_c',
      'custom_module' => 'cts_user_config',
    ),
    'tktevt_days_back_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'tktevt_days_back_c',
      'vname' => 'LBL_TKTEVT_DAYS_BACK',
      'type' => 'int',
      'massupdate' => '0',
      'default' => '0',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'enable_range_search' => false,
      'disable_num_format' => NULL,
      'id' => 'cts_user_configtktevt_days_back_c',
      'custom_module' => 'cts_user_config',
    ),
    'tktevt_days_fwd_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'tktevt_days_fwd_c',
      'vname' => 'LBL_TKTEVT_DAYS_FWD',
      'type' => 'int',
      'massupdate' => '0',
      'default' => '999',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'enable_range_search' => false,
      'disable_num_format' => NULL,
      'id' => 'cts_user_configtktevt_days_fwd_c',
      'custom_module' => 'cts_user_config',
    ),
    'tktrpt_days_back_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'tktrpt_days_back_c',
      'vname' => 'LBL_TKTRPT_DAYS_BACK',
      'type' => 'int',
      'massupdate' => '0',
      'default' => '99999',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'enable_range_search' => false,
      'disable_num_format' => NULL,
      'id' => 'cts_user_configtktrpt_days_back_c',
      'custom_module' => 'cts_user_config',
    ),
    'tktrpt_days_fwd_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'tktrpt_days_fwd_c',
      'vname' => 'LBL_TKTRPT_DAYS_FWD',
      'type' => 'int',
      'massupdate' => '0',
      'default' => '99999',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'enable_range_search' => false,
      'disable_num_format' => NULL,
      'id' => 'cts_user_configtktrpt_days_fwd_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_choicecrm_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_choicecrm_c',
      'vname' => 'LBL_MENURIGHTS_CHOICECRM',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_choicecrm_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_choicecart_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_choicecart_c',
      'vname' => 'LBL_MENURIGHTS_CHOICECART',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_choicecart_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_ticketing_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_ticketing_c',
      'vname' => 'LBL_MENURIGHTS_TICKETING',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_ticketing_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t01_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t01_c',
      'vname' => 'LBL_MENURIGHTS_T01',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t01_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t02_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t02_c',
      'vname' => 'LBL_MENURIGHTS_T02',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t02_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0201_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0201_c',
      'vname' => 'LBL_MENURIGHTS_T0201',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t0201_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0202_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0202_c',
      'vname' => 'LBL_MENURIGHTS_T0202',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t0202_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0203_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0203_c',
      'vname' => 'LBL_MENURIGHTS_T0203',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t0203_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0204_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0204_c',
      'vname' => 'LBL_MENURIGHTS_T0204',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t0204_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0205_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0205_c',
      'vname' => 'LBL_MENURIGHTS_T0205',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t0205_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0206_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0206_c',
      'vname' => 'LBL_MENURIGHTS_T0206',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t0206_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_development_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_development_c',
      'vname' => 'LBL_MENURIGHTS_DEVELOPMENT',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_development_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_membership_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_membership_c',
      'vname' => 'LBL_MENURIGHTS_MEMBERSHIP',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_membership_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_d01_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_d01_c',
      'vname' => 'LBL_MENURIGHTS_D01',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_d01_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_d02_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_d02_c',
      'vname' => 'LBL_MENURIGHTS_D02',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_d02_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_d03_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_d03_c',
      'vname' => 'LBL_MENURIGHTS_D03',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_d03_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_d0301_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_d0301_c',
      'vname' => 'LBL_MENURIGHTS_D0301',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_d0301_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_d0302_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_d0302_c',
      'vname' => 'LBL_MENURIGHTS_D0302',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_d0302_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_d0303_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_d0303_c',
      'vname' => 'LBL_MENURIGHTS_D0303',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_d0303_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_d0304_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_d0304_c',
      'vname' => 'LBL_MENURIGHTS_D0304',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_d0304_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_d0305_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_d0305_c',
      'vname' => 'LBL_MENURIGHTS_D0305',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_d0305_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_d0306_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_d0306_c',
      'vname' => 'LBL_MENURIGHTS_D0306',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_d0306_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_d0307_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_d0307_c',
      'vname' => 'LBL_MENURIGHTS_D0307',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_d0307_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_d0308_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_d0308_c',
      'vname' => 'LBL_MENURIGHTS_D0308',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_d0308_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_d0309_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_d0309_c',
      'vname' => 'LBL_MENURIGHTS_D0309',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_d0309_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_m01_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_m01_c',
      'vname' => 'LBL_MENURIGHTS_M01',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_m01_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_m02_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_m02_c',
      'vname' => 'LBL_MENURIGHTS_M02',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_m02_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_m03_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_m03_c',
      'vname' => 'LBL_MENURIGHTS_M03',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_m03_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_m0301_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_m0301_c',
      'vname' => 'LBL_MENURIGHTS_M0301',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_m0301_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_m0302_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_m0302_c',
      'vname' => 'LBL_MENURIGHTS_M0302',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_m0302_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_m0303_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_m0303_c',
      'vname' => 'LBL_MENURIGHTS_M0303',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_m0303_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_m0304_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_m0304_c',
      'vname' => 'LBL_MENURIGHTS_M0304',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_m0304_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_m0305_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_m0305_c',
      'vname' => 'LBL_MENURIGHTS_M0305',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_m0305_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_m0306_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_m0306_c',
      'vname' => 'LBL_MENURIGHTS_M0306',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_m0306_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_m0307_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_m0307_c',
      'vname' => 'LBL_MENURIGHTS_M0307',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_m0307_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_m0308_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_m0308_c',
      'vname' => 'LBL_MENURIGHTS_M0308',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_m0308_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_m0309_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_m0309_c',
      'vname' => 'LBL_MENURIGHTS_M0309',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_m0309_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0207_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0207_c',
      'vname' => 'LBL_MENURIGHTS_T0207',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t0207_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0208_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0208_c',
      'vname' => 'LBL_MENURIGHTS_T0208',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t0208_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0209_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0209_c',
      'vname' => 'LBL_MENURIGHTS_T0209',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t0209_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0210_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0210_c',
      'vname' => 'LBL_MENURIGHTS_T0210',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t0210_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t03_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t03_c',
      'vname' => 'LBL_MENURIGHTS_T03',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t03_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_volunteers_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_volunteers_c',
      'vname' => 'LBL_MENURIGHTS_VOLUNTEERS',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_volunteers_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_v01_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_v01_c',
      'vname' => 'LBL_MENURIGHTS_V01',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_v01_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_v02_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_v02_c',
      'vname' => 'LBL_MENURIGHTS_V02',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_v02_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_v03_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_v03_c',
      'vname' => 'LBL_MENURIGHTS_V03',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_v03_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_v0301_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_v0301_c',
      'vname' => 'LBL_MENURIGHTS_V0301',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_v0301_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_v0302_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_v0302_c',
      'vname' => 'LBL_MENURIGHTS_V0302',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_v0302_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_v0303_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_v0303_c',
      'vname' => 'LBL_MENURIGHTS_V0303',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_v0303_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_v0304_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_v0304_c',
      'vname' => 'LBL_MENURIGHTS_V0304',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_v0304_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_v0305_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_v0305_c',
      'vname' => 'LBL_MENURIGHTS_V0305',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_v0305_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_giftcert_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_giftcert_c',
      'vname' => 'LBL_MENURIGHTS_GIFTCERT',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_giftcert_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_reporting_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_reporting_c',
      'vname' => 'LBL_MENURIGHTS_REPORTING',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_reporting_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_rpt01_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_rpt01_c',
      'vname' => 'LBL_MENURIGHTS_RPT01',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_rpt01_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_rpt02_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_rpt02_c',
      'vname' => 'LBL_MENURIGHTS_RPT02',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_rpt02_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_administration_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_administration_c',
      'vname' => 'LBL_MENURIGHTS_ADMINISTRATION',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_administration_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_a01_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_a01_c',
      'vname' => 'LBL_MENURIGHTS_A01',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_a01_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_a02_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_a02_c',
      'vname' => 'LBL_MENURIGHTS_A02',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_a02_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0101_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0101_c',
      'vname' => 'LBL_MENURIGHTS_T0101',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t0101_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0102_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0102_c',
      'vname' => 'LBL_MENURIGHTS_T0102',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t0102_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0103_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0103_c',
      'vname' => 'LBL_MENURIGHTS_T0103',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t0103_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t04_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t04_c',
      'vname' => 'LBL_MENURIGHTS_T04',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t04_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t05_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t05_c',
      'vname' => 'LBL_MENURIGHTS_T05',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_t05_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_01_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_01_c',
      'vname' => 'LBL_TRANSRIGHTS_01',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_01_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_02_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_02_c',
      'vname' => 'LBL_TRANSRIGHTS_02',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_02_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_03_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_03_c',
      'vname' => 'LBL_TRANSRIGHTS_03',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_03_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_01_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_01_c',
      'vname' => 'LBL_PAYRIGHTS_01',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_01_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_02_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_02_c',
      'vname' => 'LBL_PAYRIGHTS_02',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_02_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_03_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_03_c',
      'vname' => 'LBL_PAYRIGHTS_03',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_03_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_04_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_04_c',
      'vname' => 'LBL_PAYRIGHTS_04',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_04_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_05_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_05_c',
      'vname' => 'LBL_PAYRIGHTS_05',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_05_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_06_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_06_c',
      'vname' => 'LBL_PAYRIGHTS_06',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_06_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_07_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_07_c',
      'vname' => 'LBL_PAYRIGHTS_07',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_07_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_08_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_08_c',
      'vname' => 'LBL_PAYRIGHTS_08',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_08_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_09_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_09_c',
      'vname' => 'LBL_PAYRIGHTS_09',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_09_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_10_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_10_c',
      'vname' => 'LBL_PAYRIGHTS_10',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_10_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_11_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_11_c',
      'vname' => 'LBL_PAYRIGHTS_11',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_11_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_12_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_12_c',
      'vname' => 'LBL_PAYRIGHTS_12',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_12_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_13_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_13_c',
      'vname' => 'LBL_PAYRIGHTS_13',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_13_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_14_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_14_c',
      'vname' => 'LBL_PAYRIGHTS_14',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_14_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_15_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_15_c',
      'vname' => 'LBL_PAYRIGHTS_15',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_15_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_16_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_16_c',
      'vname' => 'LBL_PAYRIGHTS_16',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_16_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_17_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_17_c',
      'vname' => 'LBL_PAYRIGHTS_17',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_17_c',
      'custom_module' => 'cts_user_config',
    ),
    'carticon_rights_bestavail_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'carticon_rights_bestavail_c',
      'vname' => 'LBL_CARTICON_RIGHTS_BESTAVAIL',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configcarticon_rights_bestavail_c',
      'custom_module' => 'cts_user_config',
    ),
    'carticon_rights_classes_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'carticon_rights_classes_c',
      'vname' => 'LBL_CARTICON_RIGHTS_CLASSES',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configcarticon_rights_classes_c',
      'custom_module' => 'cts_user_config',
    ),
    'carticon_rights_donation_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'carticon_rights_donation_c',
      'vname' => 'LBL_CARTICON_RIGHTS_DONATION',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configcarticon_rights_donation_c',
      'custom_module' => 'cts_user_config',
    ),
    'carticon_rights_exchange_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'carticon_rights_exchange_c',
      'vname' => 'LBL_CARTICON_RIGHTS_EXCHANGE',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configcarticon_rights_exchange_c',
      'custom_module' => 'cts_user_config',
    ),
    'carticon_rights_gate_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'carticon_rights_gate_c',
      'vname' => 'LBL_CARTICON_RIGHTS_GATE',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configcarticon_rights_gate_c',
      'custom_module' => 'cts_user_config',
    ),
    'carticon_rights_gift_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'carticon_rights_gift_c',
      'vname' => 'LBL_CARTICON_RIGHTS_GIFT',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configcarticon_rights_gift_c',
      'custom_module' => 'cts_user_config',
    ),
    'carticon_rights_membership_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'carticon_rights_membership_c',
      'vname' => 'LBL_CARTICON_RIGHTS_MEMBERSHIP',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configcarticon_rights_membership_c',
      'custom_module' => 'cts_user_config',
    ),
    'carticon_rights_refund_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'carticon_rights_refund_c',
      'vname' => 'LBL_CARTICON_RIGHTS_REFUND',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configcarticon_rights_refund_c',
      'custom_module' => 'cts_user_config',
    ),
    'carticon_rights_renewal_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'carticon_rights_renewal_c',
      'vname' => 'LBL_CARTICON_RIGHTS_RENEWAL',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configcarticon_rights_renewal_c',
      'custom_module' => 'cts_user_config',
    ),
    'carticon_rights_reserved_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'carticon_rights_reserved_c',
      'vname' => 'LBL_CARTICON_RIGHTS_RESERVED',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configcarticon_rights_reserved_c',
      'custom_module' => 'cts_user_config',
    ),
    'carticon_rights_retail_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'carticon_rights_retail_c',
      'vname' => 'LBL_CARTICON_RIGHTS_RETAIL',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configcarticon_rights_retail_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_18_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_18_c',
      'vname' => 'LBL_PAYRIGHTS_18',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_18_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_custom1_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_custom1_c',
      'vname' => 'LBL_PAYRIGHTS_CUSTOM1',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_custom1_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_custom2_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_custom2_c',
      'vname' => 'LBL_PAYRIGHTS_CUSTOM2',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_custom2_c',
      'custom_module' => 'cts_user_config',
    ),
    'payrights_custom3_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'payrights_custom3_c',
      'vname' => 'LBL_PAYRIGHTS_CUSTOM3',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configpayrights_custom3_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_05_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_05_c',
      'vname' => 'LBL_TRANSRIGHTS_05',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_05_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_04_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_04_c',
      'vname' => 'LBL_TRANSRIGHTS_04',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_04_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_06_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_06_c',
      'vname' => 'LBL_TRANSRIGHTS_06',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_06_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_07_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_07_c',
      'vname' => 'LBL_TRANSRIGHTS_07',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_07_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_08_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_08_c',
      'vname' => 'LBL_TRANSRIGHTS_08',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_08_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_09_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_09_c',
      'vname' => 'LBL_TRANSRIGHTS_09',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_09_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_10_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_10_c',
      'vname' => 'LBL_TRANSRIGHTS_10',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_10_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_11_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_11_c',
      'vname' => 'LBL_TRANSRIGHTS_11',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_11_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_12_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_12_c',
      'vname' => 'LBL_TRANSRIGHTS_12',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_12_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_13_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_13_c',
      'vname' => 'LBL_TRANSRIGHTS_13',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_13_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_14_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_14_c',
      'vname' => 'LBL_TRANSRIGHTS_14',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_14_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_15_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_15_c',
      'vname' => 'LBL_TRANSRIGHTS_15',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_15_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_16_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_16_c',
      'vname' => 'LBL_TRANSRIGHTS_16',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_16_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_17_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_17_c',
      'vname' => 'LBL_TRANSRIGHTS_17',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_17_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_18_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_18_c',
      'vname' => 'LBL_TRANSRIGHTS_18',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_18_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_19_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_19_c',
      'vname' => 'LBL_TRANSRIGHTS_19',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_19_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_20_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_20_c',
      'vname' => 'LBL_TRANSRIGHTS_20',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_20_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_21_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_21_c',
      'vname' => 'LBL_TRANSRIGHTS_21',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_21_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_22_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_22_c',
      'vname' => 'LBL_TRANSRIGHTS_22',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_22_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_23_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_23_c',
      'vname' => 'LBL_TRANSRIGHTS_23',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_23_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_24_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_24_c',
      'vname' => 'LBL_TRANSRIGHTS_24',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_24_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_25_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_25_c',
      'vname' => 'LBL_TRANSRIGHTS_25',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_25_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_26_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_26_c',
      'vname' => 'LBL_TRANSRIGHTS_26',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_26_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_27_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_27_c',
      'vname' => 'LBL_TRANSRIGHTS_27',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_27_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_28_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_28_c',
      'vname' => 'LBL_TRANSRIGHTS_28',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_28_c',
      'custom_module' => 'cts_user_config',
    ),
    'transrights_29_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transrights_29_c',
      'vname' => 'LBL_TRANSRIGHTS_29',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtransrights_29_c',
      'custom_module' => 'cts_user_config',
    ),
    'transhist_seats_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transhist_seats_c',
      'vname' => 'LBL_TRANSHIST_SEATS',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtranshist_seats_c',
      'custom_module' => 'cts_user_config',
    ),
    'transhist_dev_summary_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transhist_dev_summary_c',
      'vname' => 'LBL_TRANSHIST_DEV_SUMMARY',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtranshist_dev_summary_c',
      'custom_module' => 'cts_user_config',
    ),
    'transhist_dev_detail_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transhist_dev_detail_c',
      'vname' => 'LBL_TRANSHIST_DEV_DETAIL',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtranshist_dev_detail_c',
      'custom_module' => 'cts_user_config',
    ),
    'transhist_mbr_summary_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transhist_mbr_summary_c',
      'vname' => 'LBL_TRANSHIST_MBR_SUMMARY',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtranshist_mbr_summary_c',
      'custom_module' => 'cts_user_config',
    ),
    'transhist_mbr_detail_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transhist_mbr_detail_c',
      'vname' => 'LBL_TRANSHIST_MBR_DETAIL',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtranshist_mbr_detail_c',
      'custom_module' => 'cts_user_config',
    ),
    'transhist_vol_summary_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transhist_vol_summary_c',
      'vname' => 'LBL_TRANSHIST_VOL_SUMMARY',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtranshist_vol_summary_c',
      'custom_module' => 'cts_user_config',
    ),
    'transhist_vol_detail_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transhist_vol_detail_c',
      'vname' => 'LBL_TRANSHIST_VOL_DETAIL',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtranshist_vol_detail_c',
      'custom_module' => 'cts_user_config',
    ),
    'transhist_orders_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'transhist_orders_c',
      'vname' => 'LBL_TRANSHIST_ORDERS',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configtranshist_orders_c',
      'custom_module' => 'cts_user_config',
    ),
    'gift_certificate_form_c' => 
    array (
      'required' => false,
      'source' => 'non-db',
      'name' => 'gift_certificate_form_c',
      'vname' => 'LBL_GIFT_CERTIFICATE_FORM',
      'type' => 'relate',
      'massupdate' => '0',
      'default' => NULL,
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => false,
      'reportable' => true,
      'unified_search' => false,
      'len' => '255',
      'size' => '20',
      'id_name' => 'cts_print_templates_id10_c',
      'ext2' => 'cts_print_templates',
      'module' => 'cts_print_templates',
      'rname' => 'name',
      'quicksearch' => 'enabled',
      'studio' => 'visible',
      'id' => 'cts_user_configgift_certificate_form_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t06_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t06_c',
      'vname' => 'LBL_MENURIGHTS_T06',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_t06_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0602_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0602_c',
      'vname' => 'LBL_MENURIGHTS_T0602',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_t0602_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0603_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0603_c',
      'vname' => 'LBL_MENURIGHTS_T0603',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_t0603_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0604_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0604_c',
      'vname' => 'LBL_MENURIGHTS_T0604',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_t0604_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0401_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0401_c',
      'vname' => 'LBL_MENURIGHTS_T0401',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_t0401_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0402_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0402_c',
      'vname' => 'LBL_MENURIGHTS_T0402',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_t0402_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0211_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0211_c',
      'vname' => 'LBL_MENURIGHTS_T0211',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_t0211_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_d0201_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_d0201_c',
      'vname' => 'LBL_MENURIGHTS_D0201',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_d0201_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_d0202_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_d0202_c',
      'vname' => 'LBL_MENURIGHTS_D0202',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_d0202_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_m0201_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_m0201_c',
      'vname' => 'LBL_MENURIGHTS_M0201',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_m0201_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_m0202_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_m0202_c',
      'vname' => 'LBL_MENURIGHTS_M0202',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_m0202_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_g01_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_g01_c',
      'vname' => 'LBL_MENURIGHTS_G01',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => NULL,
      'id' => 'cts_user_configmenurights_g01_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_a03_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_a03_c',
      'vname' => 'LBL_MENURIGHTS_A03',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_a03_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_a0101_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_a0101_c',
      'vname' => 'LBL_MENURIGHTS_A0101',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_a0101_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_a0102_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_a0102_c',
      'vname' => 'LBL_MENURIGHTS_A0102',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_a0102_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_a0103_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_a0103_c',
      'vname' => 'LBL_MENURIGHTS_A0103',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_a0103_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_a0104_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_a0104_c',
      'vname' => 'LBL_MENURIGHTS_A0104',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_a0104_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_a0105_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_a0105_c',
      'vname' => 'LBL_MENURIGHTS_A0105',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_a0105_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_a0106_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_a0106_c',
      'vname' => 'LBL_MENURIGHTS_A0106',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_a0106_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_a0301_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_a0301_c',
      'vname' => 'LBL_MENURIGHTS_A0301',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_a0301_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_a0302_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_a0302_c',
      'vname' => 'LBL_MENURIGHTS_A0302',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_a0302_c',
      'custom_module' => 'cts_user_config',
    ),
    'carticon_rights_ga_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'carticon_rights_ga_c',
      'vname' => 'LBL_CARTICON_RIGHTS_GA',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configcarticon_rights_ga_c',
      'custom_module' => 'cts_user_config',
    ),
    'menurights_t0212_c' => 
    array (
      'required' => true,
      'source' => 'custom_fields',
      'name' => 'menurights_t0212_c',
      'vname' => 'LBL_MENURIGHTS_T0212_C',
      'type' => 'enum',
      'massupdate' => '0',
      'default' => 'Y',
      'comments' => '',
      'help' => '',
      'importable' => 'true',
      'duplicate_merge' => 'disabled',
      'duplicate_merge_dom_value' => '0',
      'audited' => true,
      'reportable' => true,
      'unified_search' => false,
      'len' => 100,
      'size' => '20',
      'options' => 'yes_no_list',
      'studio' => 'visible',
      'dependency' => false,
      'id' => 'cts_user_configmenurights_t0212_c',
      'custom_module' => 'cts_user_config',
    ),
  ),
  'relationships' => 
  array (
    'cts_user_config_modified_user' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_user_config',
      'rhs_table' => 'cts_user_config',
      'rhs_key' => 'modified_user_id',
      'relationship_type' => 'one-to-many',
    ),
    'cts_user_config_created_by' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_user_config',
      'rhs_table' => 'cts_user_config',
      'rhs_key' => 'created_by',
      'relationship_type' => 'one-to-many',
    ),
    'cts_user_config_assigned_user' => 
    array (
      'lhs_module' => 'Users',
      'lhs_table' => 'users',
      'lhs_key' => 'id',
      'rhs_module' => 'cts_user_config',
      'rhs_table' => 'cts_user_config',
      'rhs_key' => 'assigned_user_id',
      'relationship_type' => 'one-to-many',
    ),
  ),
  'optimistic_locking' => true,
  'unified_search' => true,
  'indices' => 
  array (
    'id' => 
    array (
      'name' => 'cts_user_configpk',
      'type' => 'primary',
      'fields' => 
      array (
        0 => 'id',
      ),
    ),
  ),
  'templates' => 
  array (
    'assignable' => 'assignable',
    'basic' => 'basic',
  ),
  'custom_fields' => true,
);